/*
 *	PDCVALUE.h
 *	Photron Device Control SDK
 *	Value Definition
 *
 *	Copyright (C) 2006-2012 PHOTRON LIMITED
 */

#ifndef	_PDC_VALUE_H_
#define	_PDC_VALUE_H_

 /*	General	*/
#define	PDC_MAX_DEVICE			64		/*	Maximum connection devices	*/
#define	PDC_MAX_INTERFACE_TYPE	10		/*	Maximum interface type	*/
#define	PDC_MAX_DEVICE_TYPE		64		/*	Maximum device type	*/
#define	PDC_MAX_CHILD_DEVICE	12		/*	Maximum child devices	*/
#define	PDC_MAX_PARTITION		128		/*	Maximum partitions	*/
#define	PDC_MAX_LIST_NUMBER		256		/*	Maximum list parameters	*/
#define	PDC_MAX_STRING_LENGTH	256		/*	Maximum strings	*/
#define	PDC_MAX_LUTLIST_NUMBER	4096	/*	Maximum LUT list parameters	*/

#define PDC_MAX_NUMBER_ADC_CHANNEL	2

/*	Function On/Off(General)	*/
#define	PDC_FUNCTION_OFF					0
#define	PDC_FUNCTION_ON						1
#define	PDC_FUNCTION_SOFT_ON				2

/*	Function presence	*/
#define	PDC_EXIST_NOTSUPPORTED				0
#define	PDC_EXIST_SUPPORTED					1

#define	PDC_EXIST_SENSOR_GAIN				2
#define	PDC_EXIST_SENSOR_GAMMA				3
#define	PDC_EXIST_COLORTEMP					4
#define	PDC_EXIST_DSSHUTTER					5
#define	PDC_EXIST_LUT						6
#define	PDC_EXIST_SHADING					7
#define	PDC_EXIST_II						8
#define	PDC_EXIST_EDGE_ENHANCE				9
#define	PDC_EXIST_VIDEO_OUT					10
#define	PDC_EXIST_SHUTTERLOCK				11
#define	PDC_EXIST_PARTITIONINC				12
#define	PDC_EXIST_HEADEXCHANGE				13
#define	PDC_EXIST_KEYLOCK					14
#define	PDC_EXIST_IRIG						15
#define	PDC_EXIST_MCDL						16
#define	PDC_EXIST_FRAME_ZERO				17
#define	PDC_EXIST_PIXELGAIN					18
#define	PDC_EXIST_COLOR_ENHANCE				19
#define	PDC_EXIST_AUTO_EXPOSURE				20
#define	PDC_EXIST_DELAY						21
#define	PDC_EXIST_DOWNLOAD_MODE				22
#define	PDC_EXIST_VARIABLE_FUNCTION			23
#define	PDC_EXIST_LOWLIGHT_MODE				24
#define	PDC_EXIST_PROGSWITCH_MODE			25
#define	PDC_EXIST_SHUTTERSPEED_USEC			26
#define	PDC_EXIST_SYNCOUT_TIMES				27
#define	PDC_EXIST_STORE						28
#define	PDC_EXIST_ETHER_INFO				29
#define	PDC_EXIST_IRIG_PHASELOCK			30
#define	PDC_EXIST_HIGH_SPEED_MODE			31
#define	PDC_EXIST_BURST_TRANSFER			32
#define	PDC_EXIST_STEP_SHUTTER				33
#define PDC_EXIST_LIVE_RESOLUTION			34
#define	PDC_EXIST_BITDEPTH					35
#define	PDC_EXIST_FPGA_SETTING				36
#define	PDC_EXIST_CAMERA_DEF_FILE			37
#define	PDC_EXIST_IMAGE_ADDRESS				38
#define	PDC_EXIST_SYNC_PRIORITY				39
#define	PDC_EXIST_ROI						40
#define	PDC_EXIST_CAMERA_COMMAND			41
#define	PDC_EXIST_VIDEO_SIGNAL				42
#define	PDC_EXIST_VIDEO_HDSDI				43
#define	PDC_EXIST_RECORDING_TYPE			44
#define	PDC_EXIST_GHOST_REDUCTION			45
#define	PDC_EXIST_SOFT_COLORTEMP			46
#define	PDC_EXIST_AUTO_PLAY					47
#define	PDC_EXIST_FACTORY_DEFAULTS			48
#define	PDC_EXIST_STORE_PRESET				49
#define	PDC_EXIST_SHUTTERSPEED_NSEC			50
#define PDC_EXIST_INSTRUCTIONSET			51
#define	PDC_EXIST_RESOLUTIONLOCK			52
#define PDC_EXIST_LED_MODE					53
#define PDC_EXIST_LIVE_IRIG					54
#define	PDC_EXIST_VIDEO_OSD					55
#define PDC_EXIST_SENSOR_TEMP				56
#define	PDC_EXIST_SHADING_OFFSET			57
#define	PDC_EXIST_MEMORY_BLOCK				58
#define	PDC_EXIST_LIVE_RESOLUTION_SCALE		59
#define	PDC_EXIST_FRAME_ADDRESS				60
#define	PDC_EXIST_DROP_FRAME				61
#define	PDC_EXIST_TEST_PATERN				62
#define	PDC_EXIST_OFFSET_AS					63
#define	PDC_EXIST_H_BANDING					64
#define PDC_EXIST_KEYPAD_COMMAND			65
#define	PDC_EXIST_POLARIZATION				66
#define	PDC_EXIST_SHADING_TYPE				67
#define	PDC_EXIST_BLACK_CLIP_LEVEL			68
#define	PDC_EXIST_BITDEPTH2					69
#define	PDC_EXIST_SUB_PORT					70
#define	PDC_EXIST_SUB_INTERFACE				71
#define	PDC_EXIST_EXPOSE_EXTENSION			72
#define PDC_EXIST_BATTERY_POWERMODE			73
#define PDC_EXIST_SYNCIN_SIGNAL_STATUS		74
#define PDC_EXIST_VFPN_DATA					75
#define PDC_EXIST_SENSORLUT_DATA			76
#define PDC_EXIST_FPGA_TEMP					77
#define PDC_EXIST_DELAY_TRIG_MASK_WIDTH		78
#define PDC_EXIST_DELAY_VSYNC_MASK_WIDTH	79
#define PDC_EXIST_BINNING_SENSORMODE		80
#define	PDC_EXIST_EXPOSEOUT_TIMES			81
#define	PDC_EXIST_REC_EXPOSEOUT_TIMES		82
#define	PDC_EXIST_IMAGE_TRIGGER				83
#define	PDC_EXIST_LENS_CONTROL				84
#define	PDC_EXIST_RTC						85
#define	PDC_EXIST_MEMORYMODE_PARTITION		86
#define PDC_EXIST_FIX_FRAMERECORDMODE		87
#define PDC_EXIST_GETHER_TRANSFER_MODE		88
#define PDC_EXIST_MECHASHUTTER_MODE			89
#define PDC_EXIST_EXPOSETIME_DATA			90
#define	PDC_EXIST_FAN_CTRL					91
#define	PDC_EXIST_SD_CARD_CTRL				92
#define PDC_EXIST_STRADDLING_SIGNAL			93
#define PDC_EXIST_MECHANICALSHUTTER			94
#define PDC_EXIST_RANDOM_TRIGGER_TIMES		95	// Enable times
#define PDC_EXIST_CALCULATE_MAX_FRAMES		96
#define PDC_EXIST_SET_SELF_SYNC_MODE		97
#define	PDC_EXIST_SSD_BOX_CTRL				98
#define	PDC_EXIST_ADC						99
#define PDC_EXIST_GET_EXPOSE_POSITION		100
#define PDC_EXIST_GET_VSYNC_EXPOSE_DEVIATION 101
#define	PDC_EXIST_READ_AHEAD_TRANSFER		102
#define PDC_EXIST_IRIG_SAMPLE				103
#define PDC_EXIST_LOW_FRAMERATE_MODE		104
#define PDC_EXIST_FAST_DRIVE_CTRL			105
#define PDC_EXIST_DIRECT_RECORD_FASTDRIVE	106
#define PDC_EXIST_HW_NOISE_REDUCTION		107
#define PDC_EXIST_AUTO_DOWNLOAD		 	108
#define PDC_EXIST_AUTO_EXPOSURE_TIME_RECORD	109
#define PDC_EXIST_PIXELGAIN_MODE3			110
#define PDC_EXIST_PARTITIONINC_BY_CAMERA	111
#define PDC_EXIST_PIXELGAIN_MAGNIFICATION	112
#define PDC_EXIST_WARNING_TEMPERATURE		113
#define PDC_EXIST_WIFI						114
#define PDC_EXIST_BATTERY					115
#define PDC_EXIST_MEDIA_CTRL				116
#define PDC_EXIST_AUTO_POWER				117	
#define PDC_EXIST_PARTITION_LOCK			119
#define PDC_EXIST_SHUTDOWN					120
#define PDC_EXIST_ACCELERATION_TRIGGER		121	
#define PDC_EXIST_TRIG_SW_IN_POLARITY	   122
#define PDC_EXIST_FAN_CTRL_READY_REC_STOP   123
#define PDC_EXIST_EMBEDDED_AUTO_EXPOSURE	124 
#define PDC_EXIST_TEMPERATURE			   125
#define PDC_EXIST_MEM_TEMPERATURE		   126	  
#define PDC_EXIST_GET_MACADDRESS			127
#define PDC_EXIST_MECHASHUTTER_MODE_ALWAYS_ON 128
#define PDC_EXIST_MEASUREMENT_VOLTAGE	   129
#define PDC_EXIST_MEASUREMENT_CURRENT	   130
#define PDC_EXIST_EXT_OUT_SIGNAL_SPAN	   131
#define PDC_EXIST_MEMORY_SHARE				132
#define PDC_EXIST_MEM_ACCELERATION			133
#define PDC_EXIST_WARNING_CABLE_CUTTING		134
#define PDC_EXIST_TRIGGER_NOISE_FILTER		135
#define PDC_EXIST_ACCELERATION				136
#define PDC_EXIST_VDA_IO_TYPE				137
#define PDC_EXIST_ACCELERATION_TRIGGER_TIME	138
#define PDC_EXIST_VIDEO_OSD_CROSSHAIR		139
#define PDC_EXIST_SOFT_NOISE_REDUCTION		140
#define PDC_EXIST__WARNING_TEMPERATURE_THRESHOLD	141
#define PDC_EXIST_WARING_SHADING_DURING_EXTERNAL_SYNC	142
#define PDC_EXIST_VIDEO_BOARD_VERSION	143
#define PDC_EXIST_TRIGGER_NOISE_FILTER_WIDTH	144
#define	PDC_EXIST_VIDEO_SIGNAL_ENABLE		145
#define	PDC_EXIST_FAN_STATE					146
#define	PDC_EXIST_AUTO_EXPOSURE_UPPER_LIMIT	147
#define	PDC_EXIST_FAST_DRIVE_WRITE_DATANAME	148
#define PDC_EXIST_FAST_DRIVE_SERIAL_NO		149
#define	PDC_EXIST_FAST_DRIVE_WRITE_DATANAME_SAVE_RESTRICTION 150
#define	PDC_EXIST_FAST_DRIVE_AUTODOWNLOAD_RESTRICTION 151
#define PDC_EXIST_ACCELERATION_SENSOR_ERROR	152
#define PDC_EXIST_MEM_PARENT_ACCELERATION	153
#define PDC_EXIST_LED_LASER_CONTROL         154
#define PDC_EXIST_REBOOT					155
#define PDC_EXIST_LIVE_IMAGE_IRIG			156
#define PDC_EXIST_LINK_SPEED				157
#define PDC_EXIST_PACKET_INTERVAL			158
#define PDC_EXIST_ETHERNET_SPEED_LIMIT		159
#define PDC_EXIST_IRIG_OFFSET				160
#define PDC_EXIST_IGNORE_TRIGGER_NUMBER		161
#define PDC_EXIST_INHERENT_INFO				162
#define PDC_EXIST_MEDIA_SAVE_AFTER_INSERT	163
#define PDC_EXIST_TELNET_COMMAND			164
#define PDC_EXIST_DEVICE_ERROR_LIST			165
#define PDC_EXIST_DEVICE_ERROR_OBSERVE		166
#define PDC_EXIST_FAST_DRIVE_BUFFERING		167
#define PDC_EXIST_PHASE_ADJUSTMENT			168
#define PDC_EXIST_SHARE_SET_EXT_SYNC_IRIG_PHASELOCK		169
#define PDC_EXIST_GRAW						170
#define PDC_EXIST_FAST_DRIVE_NEED_PASSWORD	171
#define PDC_EXIST_EXTERNAL_SYNC_OVERSYNC	172
#define PDC_EXIST_DEAD_TIME					173
#define PDC_EXIST_SERIAL_NUMBER				174
#define PDC_EXIST_INPUT_RESTRICTION_BOTH_SYNC	175
#define PDC_EXIST_INPUT_RESTRICTION_BOTH_TRIG	176
#define PDC_EXIST_DELAY_RANGE				177
#define PDC_EXIST_LOT_ID					178
#define PDC_EXIST_INDIVIDUAL_ID				179
#define PDC_EXIST_PRODUCT_ID				180
#define PDC_EXIST_BIT_DEPTH_LIST            181
#define PDC_EXIST_BIT_SEL_LIST              182
#define PDC_EXIST_PLL_ADJUSTMENT            183
#define PDC_EXIST_DSSHUTTER_RESTRICTION     184
#define PDC_EXIST_RING_BUFFER_STORAGE       185
#define PDC_EXIST_ERASE_CACHED_CORRECTION_DATA       186
#define PDC_EXIST_LIVEDATA_SAMPLING_MODE    189

#define PDC_EXIST_DEVICE_LOG    			190

/*	Color / Monochrome	*/
#define	PDC_COLORTYPE_MONO					0
#define	PDC_COLORTYPE_COLOR					1

/*	CIH Color / Monochrome / Bayer / Raw	*/
#define	PDC_CIH_COLORTYPE_MONO		        0
#define	PDC_CIH_COLORTYPE_COLOR			    1
#define	PDC_CIH_COLORTYPE_BAYER			    2
#define	PDC_CIH_COLORTYPE_RAW				3

/*	Status	*/
#define	PDC_STATUS_LIVE						0x00
#define	PDC_STATUS_PLAYBACK					0x01
#define	PDC_STATUS_RECREADY					0x02
#define	PDC_STATUS_ENDLESS					0x04
#define	PDC_STATUS_REC						0x08
#define	PDC_STATUS_SAVE						0x10
#define	PDC_STATUS_LOAD						0x20
#define	PDC_STATUS_PAUSE					0x40
#define	PDC_STATUS_STORAGE_PLAYBACK			0x80

/*	Trigger mode	*/
#define	PDC_TRIGGER_START					(0x00 << 24)
#define	PDC_TRIGGER_CENTER					(0x01 << 24)
#define	PDC_TRIGGER_END						(0x02 << 24)
#define	PDC_TRIGGER_RANDOM					(0x03 << 24)
#define	PDC_TRIGGER_MANUAL					(0x04 << 24)
#define	PDC_TRIGGER_RANDOM_RESET			(0x05 << 24)
#define	PDC_TRIGGER_RANDOM_CENTER			(0x06 << 24)
#define	PDC_TRIGGER_RANDOM_MANUAL			(0x07 << 24)
#define	PDC_TRIGGER_TWOSTAGE				(0x08 << 24)
#define	PDC_TRIGGER_TWOSTAGE_HALF			((0x08 << 24) | 1)
#define	PDC_TRIGGER_TWOSTAGE_QUARTER		((0x08 << 24) | 2)
#define	PDC_TRIGGER_TWOSTAGE_ONEEIGHTH		((0x08 << 24) | 3)
#define	PDC_TRIGGER_RESET					(0x09 << 24)
#define	PDC_TRIGGER_RECON_CMD				(0x10 << 24)   
#define	PDC_TRIGGER_RANDOM_LOOP				(0x11 << 24)

/*	Sensor Gamma	*/
#define	PDC_SENSOR_GAMMA_1_0				1
#define	PDC_SENSOR_GAMMA_0_9				2
#define	PDC_SENSOR_GAMMA_0_8				3
#define	PDC_SENSOR_GAMMA_0_7				4
#define	PDC_SENSOR_GAMMA_0_6				5
#define	PDC_SENSOR_GAMMA_0_5				6
#define	PDC_SENSOR_GAMMA_0_4				7

/*	Sensor Gain	*/
#define	PDC_SENSOR_GAIN_X1					1
#define	PDC_SENSOR_GAIN_X1_5				2
#define	PDC_SENSOR_GAIN_X2					3
#define	PDC_SENSOR_GAIN_X3					4
#define	PDC_SENSOR_GAIN_X4					5
#define	PDC_SENSOR_GAIN_X6					6
#define	PDC_SENSOR_GAIN_X8					7
#define	PDC_SENSOR_GAIN_X12					8
#define	PDC_SENSOR_GAIN_X16					9
#define	PDC_SENSOR_GAIN_X24					10
#define	PDC_SENSOR_GAIN_X32					11
#define	PDC_SENSOR_GAIN_X64					12

/*	Color Temperature	*/
#define	PDC_COLORTEMP_5100K					1
#define	PDC_COLORTEMP_3100K					2
#define	PDC_COLORTEMP_USER1					3
#define	PDC_COLORTEMP_USER2					4
#define	PDC_COLORTEMP_USER3					5
#define	PDC_COLORTEMP_USER4					6

/*	Sync Priority	*/
#define	PDC_SYNCPRIORITY_OFF				0x00
#define	PDC_SYNCPRIORITY_MASTER				0x01
#define	PDC_SYNCPRIORITY_SLAVE				0x02

/*	External Input Signal	*/
#define	PDC_EXT_IN_NONE						0x01
#define	PDC_EXT_IN_CAMSYNC_POSI				0x02
#define	PDC_EXT_IN_CAMSYNC_NEGA				0x03
#define	PDC_EXT_IN_OTHERSSYNC_POSI			0x04
#define	PDC_EXT_IN_OTHERSSYNC_NEGA			0x05
#define	PDC_EXT_IN_EVENT_POSI				0x06
#define	PDC_EXT_IN_EVENT_NEGA				0x07
#define	PDC_EXT_IN_TRIGGER_POSI				0x08
#define	PDC_EXT_IN_TRIGGER_NEGA				0x09
#define	PDC_EXT_IN_READY_POSI				0x0A
#define	PDC_EXT_IN_READY_NEGA				0x0B
#define	PDC_EXT_IN_SYNC_POS					0x0C
#define	PDC_EXT_IN_SYNC_NEGA				0x0D
#define	PDC_EXT_IN_CAMSYNC					0x0E
#define	PDC_EXT_IN_OTHERSSYNC				0x0F
#define PDC_EXT_IN_TRIG_SW_NORMALLY_OPEN	0x10
#define PDC_EXT_IN_TRIG_SW_NORMALLY_CLOSE	0x11

#define PDC_EXT_IN_POWER_OFF_POSI			0x20	// MH6
#define PDC_EXT_IN_POWER_OFF_NEGA			0x21	// MH6

#define PDC_EXT_IN_ENCODER_POSI				0x100	// PI5
#define PDC_EXT_IN_ENCODER_NEGA				0x101	// PI5

#define PDC_EXT_IN_REMOTEON					0x102

/* Sync In Signal */
#define	PDC_SYNC_IN_SIGNAL_NORMAL			0x01
#define	PDC_SYNC_IN_SIGNAL_NO				0x02
#define	PDC_SYNC_IN_SIGNAL_OVER				0x03

/*	External Output Signal	*/
#define	PDC_EXT_OUT_SYNC_POSI				0x01
#define	PDC_EXT_OUT_SYNC_NEGA				0x02
#define	PDC_EXT_OUT_RECORD_POSI				0x03
#define	PDC_EXT_OUT_RECORD_NEGA				0x04
#define	PDC_EXT_OUT_TRIGGER_POSI			0x05
#define	PDC_EXT_OUT_TRIGGER_NEGA			0x06
#define	PDC_EXT_OUT_READY_POSI				0x07
#define	PDC_EXT_OUT_READY_NEGA				0x08
#define	PDC_EXT_OUT_IRIG_RESET_POSI			0x09
#define	PDC_EXT_OUT_IRIG_RESET_NEGA			0x0A
#define	PDC_EXT_OUT_TTLIN_THRU_POSI			0x0B
#define	PDC_EXT_OUT_TTLIN_THRU_NEGA			0x0C
#define	PDC_EXT_OUT_EXPOSE_POSI				0x0D
#define	PDC_EXT_OUT_EXPOSE_NEGA				0x0E
#define	PDC_EXT_OUT_EXPOSE_H1_POSI			0x1D
#define	PDC_EXT_OUT_EXPOSE_H1_NEGA			0x1E
#define	PDC_EXT_OUT_EXPOSE_H2_POSI			0x2D
#define	PDC_EXT_OUT_EXPOSE_H2_NEGA			0x2E
#define	PDC_EXT_OUT_EXPOSE_H3_POSI			0x3D
#define	PDC_EXT_OUT_EXPOSE_H3_NEGA			0x3E
#define	PDC_EXT_OUT_EXPOSE_H4_POSI			0x4D
#define	PDC_EXT_OUT_EXPOSE_H4_NEGA			0x4E
#define	PDC_EXT_OUT_TRIGGER					0x50
#define	PDC_EXT_OUT_REC_POS_AND_SYNC_POS	0x51
#define	PDC_EXT_OUT_REC_POS_AND_EXPOSE_POS	0x52
#define	PDC_EXT_OUT_ODD_REC_POS_AND_SYNC_POS	0x53
#define	PDC_EXT_OUT_EVEN_REC_POS_AND_SYNC_POS	0x54
#define	PDC_EXT_OUT_ODD_REC_POS				0x55
#define	PDC_EXT_OUT_EVEN_REC_POS			0x56
#define	PDC_EXT_OUT_REC_START				0x57
#define	PDC_EXT_OUT_REC_POS_AND_EXPOSE_NEGA 0x58
#define	PDC_EXT_OUT_STRADDLING				0x59
#define PDC_EXT_OUT_REC_EXPOSE				0x5A
#define	PDC_EXT_OUT_NONE					0x5B

#define	PDC_EXT_OUT_EXPOSE_H5_POSI			0x5D
#define	PDC_EXT_OUT_EXPOSE_H5_NEGA			0x5E
#define	PDC_EXT_OUT_EXPOSE_H6_POSI			0x6D
#define	PDC_EXT_OUT_EXPOSE_H6_NEGA			0x6E
#define PDC_EXT_OUT_ENCODER_OFF				0x100	// PI5
#define PDC_EXT_OUT_ENCODER_THRU			0x101	// PI5
#define PDC_EXT_OUT_ENCODER_RE_TIMING		0x102	// PI5


#define	PDC_EXTIO_MAX_PORT					4
#define PDC_VDA_IO_MAX_PORT					3

/*	Dualslope Shutter	*/
#define	PDC_DSSHUTTER_OFF					  0x01
#define	PDC_DSSHUTTER_MODE1					  0x02
#define	PDC_DSSHUTTER_MODE2					  0x03
#define	PDC_DSSHUTTER_MODE3					  0x04
#define	PDC_DSSHUTTER_VALUE_STEP5			  0x11
#define PDC_DSSHUTTER_VALUE_STEP5_RESTRICTION 0x12

/*	LUT	*/
#define	PDC_LUT_DEFAULT1					1
#define	PDC_LUT_DEFAULT2					2
#define	PDC_LUT_DEFAULT3					3
#define	PDC_LUT_DEFAULT4					4
#define	PDC_LUT_DEFAULT5					5
#define	PDC_LUT_DEFAULT6					6
#define	PDC_LUT_DEFAULT7					7
#define	PDC_LUT_DEFAULT8					8
#define	PDC_LUT_DEFAULT9					9
#define	PDC_LUT_DEFAULT10					10
#define	PDC_LUT_USER1						11
#define	PDC_LUT_USER2						12
#define	PDC_LUT_USER3						13
#define	PDC_LUT_USER4						14

/*	Shading	*/
#define	PDC_SHADING_OFF						1
#define	PDC_SHADING_ON						2
#define	PDC_SHADING_SAVE					3
#define	PDC_SHADING_LOAD					4
#define	PDC_SHADING_UPDATE					5
#define	PDC_SHADING_SAVE_FILE				6
#define	PDC_SHADING_LOAD_FILE				7

/*	Shading type	*/
#define	PDC_SHADING_TYPE_NORMAL				0
#define	PDC_SHADING_TYPE_FINE				1

/*	Shading Available	*/
#define	PDC_SHADING_AVAILABLE				0
#define	PDC_SHADING_UNAVAILABLE				1

/*	Pixel Gain	*/
#define	PDC_PIXELGAIN_OFF					0
#define	PDC_PIXELGAIN_NORMAL				1
#define	PDC_PIXELGAIN_SOFT					2
#define	PDC_PIXELGAIN_FLAT					3
#define	PDC_PIXELGAIN_SAVE					4	/*	Reserve	*/
#define	PDC_PIXELGAIN_LOAD					5	/*	Reserve	*/
#define	PDC_PIXELGAIN_SAVE_FILE				6
#define	PDC_PIXELGAIN_LOAD_FILE				7
#define	PDC_PIXELGAIN_NORMAL_64CH			8
#define PDC_PIXELGAIN_SOFT_MODE3			9

/*	Color Plane	*/
#define	PDC_COLOR_PLANE_R					1
#define	PDC_COLOR_PLANE_G					2
#define	PDC_COLOR_PLANE_B					3

/*	I.I. Power	*/
#define	PDC_II_POWER_OFF					1
#define	PDC_II_POWER_ON						2
#define	PDC_II_POWER_ON_LOAD				3

/*	I.I. Gate Select	*/
#define	PDC_II_GATEMODE_OFF					1
#define	PDC_II_GATEMODE_CONTINUOUS			2
#define	PDC_II_GATEMODE_EXTERNAL			3
#define	PDC_II_GATEMODE_GATING				4
#define	PDC_II_GATEMODE_DELAY				5

/*	Edge Enhancement	*/
#define	PDC_EDGE_ENHANCE_OFF				1
#define	PDC_EDGE_ENHANCE_MODE1				2
#define	PDC_EDGE_ENHANCE_MODE2				3
#define	PDC_EDGE_ENHANCE_MODE3				4

/*	Video Output	*/
#define	PDC_VIDEO_OUT_VGA					0x0001
#define	PDC_VIDEO_OUT_NTSC					0x0002
#define	PDC_VIDEO_OUT_PAL					0x0003

/*	Video Output Signal	*/
#define	PDC_VIDEO_SIGNAL_VBS				0
#define	PDC_VIDEO_SIGNAL_HDSDI				1
#define	PDC_VIDEO_SIGNAL_HDMI				2

/*	HD-SDI Mode	*/
#define	PDC_VIDEO_HDSDI_1080_60I			0
#define	PDC_VIDEO_HDSDI_1080_59_94I			1
#define	PDC_VIDEO_HDSDI_1080_50I			2
#define	PDC_VIDEO_HDSDI_1080_30P			3
#define	PDC_VIDEO_HDSDI_1080_29_97P			4
#define	PDC_VIDEO_HDSDI_1080_25P			5
#define	PDC_VIDEO_HDSDI_1080_24P			6
#define	PDC_VIDEO_HDSDI_1080_23_98P			7
#define	PDC_VIDEO_HDSDI_1080_24SF			8
#define	PDC_VIDEO_HDSDI_1080_23_98SF		9
#define	PDC_VIDEO_HDSDI_720_60P				10
#define	PDC_VIDEO_HDSDI_720_59_94P			11
#define	PDC_VIDEO_HDSDI_720_50P				12

/*	Shutter Mode	*/
#define	PDC_SHUTTERLOCK_MODE1				0
#define	PDC_SHUTTERLOCK_MODE2				1

/*	MechaShutter	*/
#define	PDC_MECHASHUTTER_OFF				0
#define	PDC_MECHASHUTTER_ON					1

/*	MechanicalShutter	*/
#define	PDC_MECHASHUTTER_STATUS_OK			1
#define	PDC_MECHASHUTTER_STATUS_ERROR		2
#define	PDC_MECHASHUTTER_STATUS_WARNING		0x100

/*	Resolution Mode	*/
#define	PDC_RESOLUTIONLOCK_MODE1			0
#define	PDC_RESOLUTIONLOCK_MODE2			1

/*	Partition Mode	*/
#define	PDC_PARTITIONINC_MODE1				0
#define	PDC_PARTITIONINC_MODE2				1
#define	PDC_PARTITIONINC_MODE3				2

/*	8bit select	*/
#define	PDC_8BITSEL_10UPPER					2
#define	PDC_8BITSEL_10MIDDLE				1
#define	PDC_8BITSEL_10LOWER					0
#define	PDC_8BITSEL_12UPPER					4
#define	PDC_8BITSEL_12MIDDLE_U				3
#define	PDC_8BITSEL_12MIDDLE				2
#define	PDC_8BITSEL_12MIDDLE_L				1
#define	PDC_8BITSEL_12LOWER					0
#define	PDC_8BITSEL_16UPPER					8
#define	PDC_8BITSEL_8NORMAL					0

/*	Color date tranfer interleave	*/
#define	PDC_COLORDATA_NOCOLOR				0
#define	PDC_COLORDATA_INTERLEAVE_BGR		1
#define	PDC_COLORDATA_INTERLEAVE_RGB		2
#define	PDC_COLORDATA_INTERLEAVE_BAYER		3

/*	Gigabit-Ether I/F Parameter	*/
#define	PDC_GETHER_CONNECT_NORMAL			1
#define	PDC_GETHER_CONNECT_LOWSPEED			0
#define	PDC_GETHER_PACKETSIZE_DEFAULT		0
#define	PDC_GETHER_PACKETSIZE_LOWSPEED		722
#define PDC_GETHER_PACKETSIZE_MIN           1458
#define	PDC_GETHER_TIMEOUT_DEFAULT			5000

/*	Detect mode	*/
#define	PDC_DETECT_NORMAL					0
#define	PDC_DETECT_AUTO						1

/*	Variable pattern num	*/
#define	PDC_VARIABLE_NUM					20

/*	Variable Free Position	*/
#define	PDC_VARIABLE_FREE_CENTER_ONLY		0x00
#define	PDC_VARIABLE_FREE_X					0x01
#define	PDC_VARIABLE_FREE_Y					0x10
#define	PDC_VARIABLE_FREE_XY				0x11

/*	Signal Delay	*/
#define	PDC_DELAY_TRIGGER_IN				1
#define	PDC_DELAY_VSYNC_IN					2
#define	PDC_DELAY_GENERAL_IN				3
#define	PDC_DELAY_TRIGGER_OUT_WIDTH			4
#define	PDC_DELAY_VSYNC_OUT					5
#define	PDC_DELAY_VSYNC_OUT_WIDTH			6
#define	PDC_DELAY_EXPOSE					7
#define	PDC_DELAY_TRIGGER_MASK_WIDTH		8
#define	PDC_DELAY_VSYNC_MASK_WIDTH			9
#define	PDC_DELAY_STRADDLING_WIDTH			10
#define	PDC_DELAY_STRADDLING_DISTANCE		11
#define	PDC_DELAY_TRIGGER_IN_USEC			12

/*	Download mode	*/
#define	PDC_DOWNLOAD_MODE_VIDEO_ON			0	/*	Reserve	*/
#define	PDC_DOWNLOAD_MODE_VIDEO_OFF			1	/*	Reserve	*/
#define	PDC_DOWNLOAD_MODE_PLAYBACK_ON		0
#define	PDC_DOWNLOAD_MODE_PLAYBACK_OFF		1
#define	PDC_DOWNLOAD_MODE_LIVE_ON			2

/*	Camera mode	*/
#define	PDC_CAM_MODE_DEFAULT				0
#define	PDC_CAM_MODE_VARIABLE				1
#define	PDC_CAM_MODE_EXTERNAL				2

/*	Programmable Switch mode	*/
#define	PDC_PROGSWITCH_NONE					0
#define	PDC_PROGSWITCH_RECORDRATE_SEL		1
#define	PDC_PROGSWITCH_RESOLUTION_SEL		2
#define	PDC_PROGSWITCH_SHUTTER_SEL			3
#define	PDC_PROGSWITCH_TRIGGER_MODE_SEL		4
#define	PDC_PROGSWITCH_HEAD_SEL				5
#define	PDC_PROGSWITCH_FIT					6
#define	PDC_PROGSWITCH_STATUS				7
#define	PDC_PROGSWITCH_LIVE					8
#define	PDC_PROGSWITCH_RECREADY				9
#define	PDC_PROGSWITCH_REC					10
#define	PDC_PROGSWITCH_LOWLIGHT				11
#define	PDC_PROGSWITCH_CALIBRATE			12
#define	PDC_PROGSWITCH_OFF					13
#define	PDC_PROGSWITCH_OSD					14
#define PDC_PROGSWITCH_SSD_SAVE_CANCEL		15

#define	PDC_PROGSWITCH_MAX_NUM				4

/*	Color Bayer Convert mode	*/
#define	PDC_BAYERCONVERT_MODE1				0
#define	PDC_BAYERCONVERT_MODE2				1
#define	PDC_BAYERCONVERT_MODE3				2
#define	PDC_BAYERCONVERT_MODE4				3

/*	Sync Out Times	*/
#define	PDC_SYNCOUT_TIMES_X1				1
#define	PDC_SYNCOUT_TIMES_X2				2
#define	PDC_SYNCOUT_TIMES_X4				4
#define	PDC_SYNCOUT_TIMES_X6				6
#define	PDC_SYNCOUT_TIMES_X8				8
#define	PDC_SYNCOUT_TIMES_X10				10
#define	PDC_SYNCOUT_TIMES_X20				20
#define	PDC_SYNCOUT_TIMES_X30				30
#define	PDC_SYNCOUT_TIMES_X0_5				101
#define	PDC_SYNCOUT_TIMES_X1_3				102
#define	PDC_SYNCOUT_TIMES_X1_4				103
#define	PDC_SYNCOUT_TIMES_X1_5				104
#define	PDC_SYNCOUT_TIMES_X1_6				105
#define	PDC_SYNCOUT_TIMES_X1_7				106
#define	PDC_SYNCOUT_TIMES_X1_8				107
#define	PDC_SYNCOUT_TIMES_X1_9				108
#define	PDC_SYNCOUT_TIMES_X1_10				109
#define	PDC_SYNCOUT_TIMES_X1_11				110
#define	PDC_SYNCOUT_TIMES_X1_12				111
#define	PDC_SYNCOUT_TIMES_X1_13				112
#define	PDC_SYNCOUT_TIMES_X1_14				113
#define	PDC_SYNCOUT_TIMES_X1_15				114

/*	Exposure Out Times	*/
#define	PDC_EXPOSEOUT_TIMES_X1				1

#define	PDC_EXPOSEOUT_TIMES_X0_5				101
#define	PDC_EXPOSEOUT_TIMES_X1_3				102
#define	PDC_EXPOSEOUT_TIMES_X1_4				103
#define	PDC_EXPOSEOUT_TIMES_X1_5				104
#define	PDC_EXPOSEOUT_TIMES_X1_6				105
#define	PDC_EXPOSEOUT_TIMES_X1_7				106
#define	PDC_EXPOSEOUT_TIMES_X1_8				107
#define	PDC_EXPOSEOUT_TIMES_X1_9				108
#define	PDC_EXPOSEOUT_TIMES_X1_10				109
#define	PDC_EXPOSEOUT_TIMES_X1_11				110
#define	PDC_EXPOSEOUT_TIMES_X1_12				111
#define	PDC_EXPOSEOUT_TIMES_X1_13				112
#define	PDC_EXPOSEOUT_TIMES_X1_14				113
#define	PDC_EXPOSEOUT_TIMES_X1_15				114

#define	PDC_REC_EXPOSEOUT_TIMES_X1				1
#define PDC_REC_EXPOSEOUT_TIMES_X1_10			101
#define	PDC_REC_EXPOSEOUT_TIMES_X1_100			102
#define PDC_REC_EXPOSEOUT_TIMES_X1_200			103
#define PDC_REC_EXPOSEOUT_TIMES_X1_300			104
#define PDC_REC_EXPOSEOUT_TIMES_X1_400			105
#define PDC_REC_EXPOSEOUT_TIMES_X1_500			106
#define PDC_REC_EXPOSEOUT_TIMES_X1_600			107
#define PDC_REC_EXPOSEOUT_TIMES_X1_700			108
#define PDC_REC_EXPOSEOUT_TIMES_X1_800			109
#define PDC_REC_EXPOSEOUT_TIMES_X1_900			110
#define PDC_REC_EXPOSEOUT_TIMES_X1_1000			111

/*	Store Preset	*/
#define	PDC_STORE_PRESET_1					1
#define	PDC_STORE_PRESET_2					2
#define	PDC_STORE_PRESET_3					3
#define	PDC_STORE_PRESET_4					4

/*	Color Enhancement	*/
#define	PDC_COLOR_ENHANCE_OFF				0
#define	PDC_COLOR_ENHANCE_X0_5				1
#define	PDC_COLOR_ENHANCE_X1				2
#define	PDC_COLOR_ENHANCE_X1_5				3
#define	PDC_COLOR_ENHANCE_X2				4

/*	Ethernet	*/
#define	PDC_ETHER_INFO_IP_ADDRESS			0
#define	PDC_ETHER_INFO_NETMASK				1
#define	PDC_ETHER_INFO_GATEWAY				2
#define	PDC_ETHER_INFO_DHCP					3
#define	PDC_ETHER_INFO_TYPE					4

/*	Head Type	*/
#define	PDC_HEADTYPE_MONO					0
#define	PDC_HEADTYPE_COLOR					1
#define	PDC_HEADTYPE_II						2
#define	PDC_HEADTYPE_UNKNOWN				0xFF

/*	Auto Play	*/
#define	PDC_AUTOPLAY_OFF					0
#define	PDC_AUTOPLAY_MEMORY_MODE			1
#define	PDC_AUTOPLAY_ON						2

/*	CameraLink	*/
#define	PDC_CAM_STATUS_DEFAULT				0
#define	PDC_CAM_STATUS_POW_CAB_NOT_CONNECT	1
#define	PDC_CAM_STATUS_CAM_NOT_CONNECT		2
#define	PDC_CAM_STATUS_CL_CONNECT			3
#define	PDC_CAM_STATUS_POCL_CONNECT			4

/*	Live resolution		*/
#define	PDC_LIVE_RESO_FULL					0
#define	PDC_LIVE_RESO_HALF					1
#define PDC_LIVE_RESO_3						2
#define	PDC_LIVE_RESO_QUARTER				3
#define PDC_LIVE_RESO_5						4
#define PDC_LIVE_RESO_6						5
#define PDC_LIVE_RESO_7						6
#define	PDC_LIVE_RESO_DQUARTER				7

/*	Baudrate	*/
#define PDC_BAUDRATE_38400					0
#define PDC_BAUDRATE_19200					1
#define PDC_BAUDRATE_9600					2

/*	AVI Compress dialog	*/
#define	PDC_COMPRESS_DIALOG_HIDE			0
#define	PDC_COMPRESS_DIALOG_SHOW			1

/*	Recording type	*/
#define	PDC_RECORDING_TYPE_READY_AND_TRIG	0
#define	PDC_RECORDING_TYPE_DIRECT_TRIG		1
#define	PDC_RECORDING_TYPE_DIRECT_START		2

/*	MCDL Data Mode	*/
#define PDC_MCDL_DATA_MODE1					0
#define PDC_MCDL_DATA_MODE2					1

/* 	Display Mode with drawing function */
#define PDC_DISPLAY_RESO_FULL				0
#define PDC_DISPLAY_RESO_HALF				1
#define PDC_DISPLAY_RESO_QUARTER			2

/*	High Speed Mode	*/
#define	PDC_HIGHSPEED_MODE_NORMAL			0
#define	PDC_HIGHSPEED_MODE_HIGH				1
#define	PDC_HIGHSPEED_MODE_SUPERHIGH		2
#define	PDC_HIGHSPEED_MODE_HIGHQUALITY		3

/*	High Speed Mode List	*/
#define	PDC_HIGHSPEED_NORMAL_150K			0x00009600
#define	PDC_HIGHSPEED_HIGH_675K				0x0002A301
#define	PDC_HIGHSPEED_HIGH_200K				0x0000C801
#define	PDC_HIGHSPEED_HIGH_200KS			0x0000C801
#define	PDC_HIGHSPEED_SUPERHIGH_775K		0x00030702
#define	PDC_HIGHSPEED_SUPERHIGH_1000K		0x0003E802
#define	PDC_HIGHSPEED_SUPERHIGH_1300K		0x00051402
#define	PDC_HIGHSPEED_SUPERHIGH_1550K		0x00060E02
#define	PDC_HIGHSPEED_SUPERHIGH_200K		0x0000C802
#define	PDC_HIGHSPEED_SUPERHIGH_200KS		0x0000C802
#define	PDC_HIGHSPEED_NORMAL_259K			0x0A010300
#define	PDC_HIGHSPEED_HIGH_259K				0x0C010351
#define	PDC_HIGHSPEED_NORMAL_324K			0x0A014400
#define	PDC_HIGHSPEED_HIGH_324K				0x0C014451
#define	PDC_HIGHSPEED_NORMAL_480K			0x0A01E000
#define	PDC_HIGHSPEED_HIGH_480K				0x0C01E051
#define	PDC_HIGHSPEED_NORMAL_900K			0x0A038400
#define	PDC_HIGHSPEED_HIGH_900K				0x0C038451
#define	PDC_HIGHSPEED_NORMAL_1080K			0x0A043800
#define	PDC_HIGHSPEED_HIGH_1080K			0x0C043851
#define	PDC_HIGHSPEED_NORMAL_256K			0x00010000
#define	PDC_HIGHSPEED_HIGH_800K				0x00032001

#define	PDC_HIGHSPEED_NORMAL_225K			0x0A00E100
#define	PDC_HIGHSPEED_NORMAL_200KS			0x0A00E100
#define	PDC_HIGHSPEED_HIGH_225K				0x0C00E151
#define	PDC_HIGHSPEED_HIGH_225K_2			0x0D00E151
#define	PDC_HIGHSPEED_HIGH_200KS_2			0x0D00E151
#define	PDC_HIGHSPEED_NORMAL_240K			0x0A00F000
#define	PDC_HIGHSPEED_HIGH_240K				0x0C00F051
#define	PDC_HIGHSPEED_NORMAL_288K			0x0A012000
#define	PDC_HIGHSPEED_HIGH_288K				0x0C012051
#define	PDC_HIGHSPEED_NORMAL_2100K			0x0A083400
#define	PDC_HIGHSPEED_HIGH_2100K			0x0C083451

/*  Instruction Set  */
#define PDC_INSTSET_NONE					0x80000000
#define PDC_INSTSET_AUTO					0x40000000
#define PDC_INSTSET_MMX						0x00000001
#define PDC_INSTSET_SSE2					0x00000002
#define PDC_INSTSET_AVX2					0x00000008

#define PDC_INSTSET_DEFAULT					PDC_INSTSET_NONE	/*	The initial state of device	*/

/*	Bayer Alignment */
#define PDC_BAYER_ALIGNMENT_RGGB 0
#define PDC_BAYER_ALIGNMENT_BGGR 1
#define PDC_BAYER_ALIGNMENT_GRBG 2
#define PDC_BAYER_ALIGNMENT_GBRG 3

/*	Polarization Pattern	*/
#define	PDC_POLARIZATION_PATTERN_1	1
#define	PDC_POLARIZATION_PATTERN_2	2
#define	PDC_POLARIZATION_PATTERN_3	3
#define	PDC_POLARIZATION_PATTERN_4	4

/*	Degree of Polarizer	*/
#define	PDC_POLARIZER_DEGREE_0		1
#define	PDC_POLARIZER_DEGREE_45		2
#define	PDC_POLARIZER_DEGREE_90		3
#define	PDC_POLARIZER_DEGREE_135	4

/*	Colormap Index	*/
#define	PDC_POLARIZATION_COLORMAP_180	1
#define	PDC_POLARIZATION_COLORMAP_90	2
#define	PDC_POLARIZATION_COLORMAP_45	4
#define	PDC_POLARIZATION_COLORMAP_30	6

/*	RESOLUTION_MODE	*/
#define	PDC_RESOLUTION_STANDARD_MODE	0
#define	PDC_RESOLUTION_VALIABLE_MODE	1

/*	Bit Depth Mode of MRAW File	*/
#define	PDC_MRAW_BITDEPTH_8		0
#define	PDC_MRAW_BITDEPTH_10	1
#define	PDC_MRAW_BITDEPTH_12	2
#define	PDC_MRAW_BITDEPTH_16	3

/*	Bit Depth Mode of RAW File	*/
#define PDC_RAW_BITDEPTH_8		0
#define PDC_RAW_BITDEPTH_16		1

/*	Effective Bit	*/
#define	PDC_EFFECTIVE_BITS_HIGH		0
#define	PDC_EFFECTIVE_BITS_LOW		1

/*	Support Bit	*/
#define	PDC_SUPPORT_BITDEPTH_8		8
#define	PDC_SUPPORT_BITDEPTH_10   	10
#define	PDC_SUPPORT_BITDEPTH_12		12

/*	FrameNumber	*/
#define	PDC_ILLEGAL_FRAME_NUMBER	0xFFFFFFFFL

/*	KEYPAD COMMAND	*/
#define PDC_KEYPAD_COMMAND_FRAMERATE_UP		0
#define PDC_KEYPAD_COMMAND_FRAMERATE_DOWN	1
#define PDC_KEYPAD_COMMAND_RESOLUTION_UP	2
#define PDC_KEYPAD_COMMAND_RESOLUTION_DOWN	3
#define PDC_KEYPAD_COMMAND_SHUTTER_UP		4
#define PDC_KEYPAD_COMMAND_SHUTTER_DOWN		5
#define PDC_KEYPAD_COMMAND_TRIGGER_UP		6
#define PDC_KEYPAD_COMMAND_TRIGGER_DOWN		7
#define PDC_KEYPAD_COMMAND_LIVE_MEM			8
#define PDC_KEYPAD_COMMAND_PLAYBACK_FR		9
#define PDC_KEYPAD_COMMAND_PLAYBACK_REV		10
#define PDC_KEYPAD_COMMAND_PLAYBACK_PLAY	11
#define PDC_KEYPAD_COMMAND_PLAYBACK_FF		12
#define PDC_KEYPAD_COMMAND_PLAYBACK_PAUSE	13
#define PDC_KEYPAD_COMMAND_PLAYBACK_STOP	14
#define PDC_KEYPAD_COMMAND_SEGMENT_START	15
#define PDC_KEYPAD_COMMAND_SEGMENT_END		16
#define PDC_KEYPAD_COMMAND_SEGMENT_ON_OFF	17
#define PDC_KEYPAD_COMMAND_REC_READY		18
#define PDC_KEYPAD_COMMAND_REC				19
#define PDC_KEYPAD_COMMAND_STORE			20
#define PDC_KEYPAD_COMMAND_MENU				21
#define PDC_KEYPAD_COMMAND_ENTER			22
#define PDC_KEYPAD_COMMAND_ZOOM				23
#define PDC_KEYPAD_COMMAND_FIT_SAMESIZE		24
#define PDC_KEYPAD_COMMAND_ARROW_UP			25
#define PDC_KEYPAD_COMMAND_ARROW_DOWN		26
#define PDC_KEYPAD_COMMAND_ARROW_LEFT		27
#define PDC_KEYPAD_COMMAND_ARROW_RIGHT		28
#define PDC_KEYPAD_COMMAND_BACK				29
#define PDC_KEYPAD_COMMAND_SCROLL			30
#define PDC_KEYPAD_COMMAND_CALIBRATE		31
#define PDC_KEYPAD_COMMAND_STATUS			32
#define PDC_KEYPAD_COMMAND_PRESET1			33
#define PDC_KEYPAD_COMMAND_PRESET2			34
#define PDC_KEYPAD_COMMAND_PRESET3			35
#define PDC_KEYPAD_COMMAND_PRESET4			36
#define PDC_KEYPAD_COMMAND_FUNCTION			37
#define PDC_KEYPAD_COMMAND_LOWLIGHT			38

/*	Black Clip Level	*/
#define	PDC_BLACK_CLIP_LEVEL_OFF			0
#define	PDC_BLACK_CLIP_LEVEL_1				1
#define	PDC_BLACK_CLIP_LEVEL_2				2
#define	PDC_BLACK_CLIP_LEVEL_3				3
#define	PDC_BLACK_CLIP_LEVEL_4				4
#define	PDC_BLACK_CLIP_LEVEL_5				5
#define	PDC_BLACK_CLIP_LEVEL_6				6
#define	PDC_BLACK_CLIP_LEVEL_7				7
#define	PDC_BLACK_CLIP_LEVEL_8				8

/*	Expose Extension	*/
#define	PDC_EXPOSE_EXTENSION_INCLUDED		0
#define	PDC_EXPOSE_EXTENSION_EXCLUDED		1

/*	FPGA CONFIG STATUS	*/
#define	PDC_FPGA_CONFIG_BUFFER_FILE_LOADING 0
#define	PDC_FPGA_CONFIG_ERASING				1
#define	PDC_FPGA_CONFIG_PROGRAMMING			2
#define	PDC_FPGA_CONFIG_VERIFYING			3

/*	REGISTER_SETTING_TYPE	*/
#define	PDC_REGISTER_SETTING_MAIN			0
#define	PDC_REGISTER_SETTING_SUB			1
#define	PDC_REGISTER_SETTING_HEAD1			2
#define	PDC_REGISTER_SETTING_HEAD2			3

/*	RECORD BIT SELECT	*/
#define PDC_RECBITSEL_8_12UPPER			0x00010000
#define PDC_RECBITSEL_8_12MIDDLE_U		0x00010001
#define PDC_RECBITSEL_8_12MIDDLE		0x00010002
#define PDC_RECBITSEL_8_12MIDDLE_L		0x00010003
#define PDC_RECBITSEL_8_12LOWER			0x00010004

#define PDC_BITSEL_10_12UPPER		        0
#define PDC_BITSEL_10_12MIDDLE		        1
#define PDC_BITSEL_10_12LOWER		        2

#define PDC_SHUTTER_DISPLAY_VIRTUAL			0
#define PDC_SHUTTER_DISPLAY_REAL			1

/*	Lens Control	*/
#define	PDC_LENS_CONTROL_OFF				0
#define	PDC_LENS_CONTROL_EF					1
#define	PDC_LENS_CONTROL_MYUTRON			2  
#define	PDC_LENS_CONTROL_EF2				3  
#define	PDC_LENS_CONTROL_MICRO_FOURTHIRDS	4

/*	GETH TRANSFER MODE */
#define PDC_GETH_TRANSFER_STANDARDSPEED			0
#define PDC_GETH_TRANSFER_LOWSPEED				1

/*	FAN CONTROL	*/
#define	PDC_FAN_CTRL_OFF				0x00000000
#define	PDC_FAN_CTRL_ON					0x00000001

/*	FAN USED			*/
#define	PDC_FAN_NOT_USED					0
#define	PDC_FAN_USED						1
#define	PDC_FAN_NOT_USED_ALL			0x00000000
/*	FAN STATE			*/
#define	PDC_FAN_STATE_NORMAL				0
#define	PDC_FAN_STATE_STOP					1
#define	PDC_FAN_STATE_STOP_ALL			0x00000000

/*	FAN CTRL STATE		*/
#define	PDC_FAN_CTRL_STATE_ON				0
#define	PDC_FAN_CTRL_STATE_OFF				1
#define	PDC_FAN_CTRL_STATE_FORCED_ON		2

#define PDC_FASTDRIVE_INPUT_VIA_FILE	0
#define PDC_FASTDRIVE_INPUT_VIA_USB		2
#define	PDC_FASTDRIVE_INPUT_VIA_GIGA	3

/*	STORAGE COUNT		*/
#define PDC_SD_CARD_SLOT_TOTAL			2
#define PDC_FASTDRIVE_SLOT_TOTAL		2
#define PDC_MEDIA_SLOT_TOTAL			1

/*	STORAGE SLOT		*/
#define	PDC_STORAGE_SLOT_1 				0x00000000
#define	PDC_STORAGE_SLOT_2 				0x00000001

/*	STORAGE IN/OUT		*/
#define	PDC_STORAGE_OUT					0x00000000
#define	PDC_STORAGE_IN					0x00000001

/*	STORAGE WRITE PROTECT	*/
#define	PDC_SD_CARD_WP_OFF				0x00000000
#define	PDC_SD_CARD_WP_ON				0x00000001

/*	STORAGE FORMAT ENABLED	*/
#define	PDC_STORAGE_FORMAT_DISABLED		0x00000000
#define	PDC_STORAGE_FORMAT_ENABLED		0x00000001

/*	SD CARD SPEED MODE		*/
#define	PDC_SD_CARD_SPEED_MODE_DEF		0x00000000
#define	PDC_SD_CARD_SPEED_MODE_HIGH		0x00004000
#define	PDC_SD_CARD_SPEED_MODE_SDR12	0x00008000
#define	PDC_SD_CARD_SPEED_MODE_SDR25	0x00008001
#define	PDC_SD_CARD_SPEED_MODE_SDR50	0x00008002
#define	PDC_SD_CARD_SPEED_MODE_SDR104	0x00008003
#define	PDC_SD_CARD_SPEED_MODE_DDR50	0x00008004

/*	SD CARD SPEED CLASS		*/
#define	PDC_SD_CARD_SPEED_CLASS_2		0x00000002
#define	PDC_SD_CARD_SPEED_CLASS_4		0x00000004
#define	PDC_SD_CARD_SPEED_CLASS_6		0x00000006
#define	PDC_SD_CARD_SPEED_CLASS_10		0x0000000A

/*	SD CARD DATA COUNT		*/
#define	PDC_SD_CARD_DATA_CNT_MAX			32

/*	SD CARD MEMORY MODE		*/
#define	PDC_SD_CARD_MEM_MODE_NORMAL		0x00000000
#define	PDC_SD_CARD_MEM_MODE_FIT		0x00000001

/*	STORAGE RUN STATE	1	*/
#define	PDC_STORAGE_RUN_STATE_IDLE		0x00000000
#define	PDC_STORAGE_RUN_STATE_RUN		0x00000001
#define	PDC_STORAGE_RUN_STATE_ERROR		0x00000002
#define	PDC_STORAGE_RUN_STATE_CANCEL	0x00000003

/*	SENSOR AMP VOLTAGE ADJUST ERROR	*/
#define	PDC_SEN_AMP_V_ADJUST_ERR_OK 	0x00000000
#define	PDC_SEN_AMP_V_ADJUST_ERR_AMP	0x00000001
#define	PDC_SEN_AMP_V_ADJUST_ERR_IMAGE	0x00000002
#define	PDC_SEN_AMP_V_ADJUST_ERR_CMD	0x00000003

/*	FOUR THIRDS LENS RESULT	*/
#define	PDC_LENS_ERR_OK					0x00000000
#define	PDC_LENS_ERR_NOT_DETECT			0x00000001
#define	PDC_LENS_ERR_NOT_SUPPORT		0x00000002
#define	PDC_LENS_ERR_SEND_BUSY_TO		0x00000003
#define	PDC_LENS_ERR_RECV_TO			0x00000004
#define	PDC_LENS_ERR_CTRL_BUSY_TO		0x00000005
#define	PDC_LENS_ERR_CMD_SUM			0x00000006
#define	PDC_LENS_ERR_DATA_SUM			0x00000007
#define	PDC_LENS_ERR_ETC				0x00000008

/*	LENS INFO	*/
#define	PDC_LENS_INFO_OTHERS			0x00000000
#define	PDC_LENS_INFO_FOUR_THIRDS		0x00000001

/*	SELF-SYNC MODE	*/
#define	PDC_SELF_SYNC_MODE_OFF			0x00000000
#define	PDC_SELF_SYNC_MODE_ON			0x00000001

#define PDC_POSITION_EXPOSURE_NONE		0x00000000
#define PDC_POSITION_EXPOSURE_BEFORE	0x00000001
#define PDC_POSITION_EXPOSURE_AFTER		0x00000002

/* STORAGE MODE */
#define PDC_STORAGE_SD_CARD				0x00000000
#define PDC_STORAGE_FAST_DRIVE			0x00000001
#define PDC_STORAGE_SSD_BOX				0x00000001
#define PDC_STORAGE_CFAST				0x00000002

/*	SSD BOX DATA COUNT		*/
#define	PDC_SSD_BOX_DATA_CNT_MAX			1024

/*	ADC RANGE	*/
#define PDC_ADC_RANGE_2V				0x00000000
#define PDC_ADC_RANGE_4V				0x00000001
#define PDC_ADC_RANGE_8V				0x00000002

/*	SSD BOX DATA COUNT		*/
#define	PDC_FAST_DRIVE_DATA_CNT_MAX			1024

/*	Save File Status	*/
#define	PDC_FILESAVE_STATUS_SAVING		1
#define	PDC_FILESAVE_STATUS_NOTSAVING	0

/* LIVE RESET MODE */
#define PDC_LIVE_MODE_NORMAL			0x0000
#define PDC_LIVE_MODE_RESET				0x0001

#define PDC_RESET_MODE_OFF				0x0000
#define PDC_RESET_MODE_ON				0x0001

/* TRIG-EXPOSE LIMIT */
#define PDC_MAX_EXPOSE_TIME_DATA		128

/*	Device Series	*/
#define	PDC_DEV_SERIES_OTHERS			0
#define	PDC_DEV_SERIES_MINI				1
#define	PDC_DEV_SERIES_MULTI			2

/* STORAGE DOWNLOAD MODE */
#define PDC_STORAGE_DOWNLOAD_MANUAL			0x00000000
#define PDC_STORAGE_DOWNLOAD_AUTO			0x00000001

/* SEQUENCIAL MEMIMAGE MODE*/
#define PDC_MEMIMAGE_MODE_SEQUENTIAL  0
#define PDC_MEMIMAGE_MODE_MULTITHREAD 1

/*	RECORDING SYNC SIGNAL OUT MODE	*/
#define	PDC_RECORDING_SYNCOUT_OUTPUT	0
#define	PDC_RECORDING_SYNCOUT_STOP		1


/*  Connect Status*/
#define PDC_CONNECTSTATUS_NOT_CONNECTED		0
#define PDC_CONNECTSTATUS_CONNECTED			1

/* external input type*/
#define PDC_EXT_OUTPUT 0
#define PDC_EXT_INPUT  1

/* external output type */
#define PDC_EXT_OUT_TYPE_GENERALOUT1 0 
#define PDC_EXT_OUT_TYPE_GENERALOUT2 1
#define PDC_EXT_OUT_TYPE_GENERALOUT3 2
#define PDC_EXT_OUT_TYPE_OUTPUT1	 3 
#define PDC_EXT_OUT_TYPE_OUTPUT2	 4
#define PDC_EXT_OUT_TYPE_TRIG_TTL_OUT 5
#define PDC_EXT_OUT_TYPE_SYNC_OUT	6
#define PDC_EXT_OUT_TYPE_EXPOSE_OUT	7
#define PDC_EXT_OUT_TYPE_READY_OUT	8

/* external input type*/
#define PDC_EXT_IN_TYPE_GENERALIN 0	 
#define PDC_EXT_IN_TYPE_INPUT1 1	
#define PDC_EXT_IN_TYPE_INPUT2 2
#define PDC_EXT_IN_TYPE_TRIG_TTL_IN 3
#define PDC_EXT_IN_TYPE_EXTERNAL_SYNC 4
#define PDC_EXT_IN_TYPE_EXTERNAL_SYNC_VIRTUAL 5 
#define PDC_EXT_IN_TYPE_REMOTE_ON	6 
#define PDC_EXT_IN_TYPE_TRIG_SW_IN	7 
#define PDC_EXT_IN_TYPE_TRIG_IN 8


/*  Ethernet Type	*/
#define PDC_ETHER_TYPE_LAN		0
#define PDC_ETHER_TYPE_WIFI		1

/* temperature types */
#define PDC_MEM_TEMPERATURE_TYPE_NONE	0
#define PDC_MEM_TEMPERATURE_TYPE_1		1
#define PDC_MEM_TEMPERATURE_TYPE_2		2
#define PDC_MEM_TEMPERATURE_TYPE_3		3
#define PDC_MEM_TEMPERATURE_TYPE_4		4
#define PDC_MEM_TEMPERATURE_TYPE_5		5
#define PDC_MEM_TEMPERATURE_TYPE_6		6

/* temperature position */
#define PDC_TEMPERATURE_SENSOR	 0
#define PDC_TEMPERATURE_CPU		 1
#define PDC_TEMPERATURE_FPGA	 2
#define PDC_TEMPERATURE_FAN		 3	
#define PDC_TEMPERATURE_MEMORY	 4
#define PDC_TEMPERATURE_MAIN     5
#define PDC_TEMPERATURE_HEAD     6
#define PDC_TEMPERATURE_MSP      7
#define PDC_TEMPERATURE_RELAYBOX 8
#define	PDC_TEMPERATURE_MAX_NUM	 9

/*  WiFi Signal Level	*/
#define PDC_WIFI_SIGNAL_LEVEL5		5
#define PDC_WIFI_SIGNAL_LEVEL4		4
#define PDC_WIFI_SIGNAL_LEVEL3		3
#define PDC_WIFI_SIGNAL_LEVEL2		2
#define PDC_WIFI_SIGNAL_LEVEL1		1
#define PDC_WIFI_SIGNAL_LEVEL0		0

#define PDC_MEASUREMENT_CIRCUIT_ANALOG	0
#define PDC_MEASUREMENT_CIRCUIT_DIGITAL	1
#define PDC_FAN_CTRL_READY_REC_STOP	3
#define PDC_HDSDI_SIGNAL_LIVE_MEMORY	0
#define PDC_HDSDI_SIGNAL_LIVE	1

/* temperature types */
#define PDC_TEMPERATURE_NONE  0
#define PDC_TEMPERATURE_TYPE1 1
#define PDC_TEMPERATURE_TYPE2 2
#define PDC_TEMPERATURE_TYPE3 3
#define PDC_TEMPERATURE_TYPE4 4
#define PDC_TEMPERATURE_TYPE5 5
#define PDC_TEMPERATURE_TYPE6 6

/*	Lens Parameter Option	*/
#define PDC_LENS_PARAMTER_OPTION_NONE		   0
#define PDC_LENS_PARAMTER_OPTION_EXIST		  1
#define PDC_LENS_PARAMTER_OPTION_STEP_COUNT	 2
#define PDC_LENS_PARAMTER_OPTION_MIN_VALUE	  3
#define PDC_LENS_PARAMTER_OPTION_MAX_VALUE	  4
#define PDC_LENS_PARAMTER_OPTION_MIN_STEP	   5
#define PDC_LENS_PARAMTER_OPTION_MAX_STEP	   6
#define PDC_LENS_PARAMTER_OPTION_INCREMENT	  7
#define PDC_LENS_PARAMTER_OPTION_ABSOLUTE	   8
#define PDC_LENS_PARAMTER_OPTION_CURRENT_STEP   9
#define PDC_LENS_PARAMTER_OPTION_CURRENT_VALUE  10 
#define PDC_LENS_PARAMTER_OPTION_OFFSET		 11

/*	Lens Parameter Type	*/
#define PDC_LENS_PARAMTER_TYPE_INIT			 0
#define PDC_LENS_PARAMTER_TYPE_ENABLE_AUTO_SW   1
#define PDC_LENS_PARAMTER_TYPE_IRIS			 2
#define PDC_LENS_PARAMTER_TYPE_FORCUS		   3
#define PDC_LENS_PARAMTER_TYPE_ZOOM			 4
#define PDC_LENS_PARAMTER_TYPE_FOCAL_MIN 5
#define PDC_LENS_PARAMTER_TYPE_FOCAL_MAX 6
#define PDC_LENS_PARAMTER_TYPE_NAME_LENGTH 7
#define PDC_LENS_PARAMTER_TYPE_NAME_DATA 8
#define PDC_LENS_PARAMTER_TYPE_FORCUS_CONTINUOUS 9
#define PDC_LENS_PARAMTER_TYPE_IRIS_CONTINUOUS 10
#define PDC_LENS_PARAMTER_TYPE_ZOOM_CONTINUOUS 11
#define PDC_LENS_PARAMTER_TYPE_STOPPED 12
#define PDC_LENS_PARAMTER_TYPE_WAITSTOP 13
#define PDC_LENS_PARAMTER_TYPE_EXIST 14
#define PDC_LENS_PARAMTER_TYPE_RESET 15

/*	Lens Reset Type	*/
#define	PDC_LENS_RESET_RETURN_TO_ORIGIN		0
#define	PDC_LENS_RESET_RETURN_TO_CURRENT	1

#define PDC_ACCELERATION_X	1
#define PDC_ACCELERATION_Y	2
#define PDC_ACCELERATION_Z	3

/* Camera Initial Error */
#define PDC_INIT_ERROR_NO_ERROR							0x00000000			/* common */
#define PDC_INIT_ERROR_SFP_LINK							0x00000001			/* for Multi */
#define PDC_INIT_ERROR_MPO_SIGNAL_DETECT				0x00000001 << 1		/* for Multi */
#define PDC_INIT_ERROR_MPO_FREQ_LOCK					0x00000001 << 2		/* for Multi */
#define PDC_INIT_ERROR_MPO_CALIB						0x00000001 << 3		/* for Multi */
#define PDC_INIT_ERROR_SENSOR_INIT						0x00000001 << 4		/* for Multi */
#define PDC_INIT_ERROR_FLASH_ROM						0x00000001 << 5		/* for Multi */
#define PDC_INIT_ERROR_COM								0x00000001 << 6		/* for Multi */
#define PDC_INIT_ERROR_HEAD_ID							0x00000001 << 7		/* for Multi */
#define PDC_INIT_ERROR_ULTRA_CAPACITOR					0x00000001 << 8		/* for MH6 */
#define PDC_INIT_ERROR_SSD								0x00000001 << 9		/* for MH6 */
#define PDC_INIT_ERROR_COM_HSSCC						0x00000001 << 10	/* for MH6 */
#define PDC_INIT_ERROR_NV_DIMM_BACKUP					0x00000001 << 11	/* for MH6 */
#define PDC_INIT_ERROR_NV_DIMM_RESTORE					0x00000001 << 12	/* for MH6 */
#define PDC_INIT_ERROR_NV_DIMM_MEMORY_DATA_LOST			0x00000001 << 13	/* for MH6 */
#define PDC_INIT_ERROR_HEAD_INIT_LUNCH					0x00000001 << 14	/* for MH6 */
#define PDC_INIT_ERROR_HEAD_FLASH_ROM					0x00000001 << 15	/* for MH6 */
#define PDC_INIT_ERROR_HEAD_TYPE						0x00000001 << 16	/* for MH6 */
#define PDC_INIT_ERROR_HEAD_COM							0x00000001 << 17	/* for MH6 */
#define PDC_INIT_ERROR_HEAD_CORRECTION_DATA				0x00000001 << 18	/* for MH6 */
#define PDC_INIT_ERROR_ACCELERATION_SENSOR_UNMEASUREBLE	0x00000001 << 19	/* for MH6 */
#define PDC_INIT_ERROR_ACCELERATION_SENSOR_ANOMALY		0x00000001 << 20	/* for MH6 */
#define PDC_INIT_ERROR_COM_HSSCC_CAM1					0x00000001 << 21	/* for MH6 */
#define PDC_INIT_ERROR_COM_HSSCC_CAM2					0x00000001 << 22	/* for MH6 */
#define PDC_INIT_ERROR_COM_HSSCC_CAM3					0x00000001 << 23	/* for MH6 */
#define PDC_INIT_ERROR_COM_HSSCC_CAM4					0x00000001 << 24	/* for MH6 */
#define PDC_INIT_ERROR_COM_HSSCC_CAM5					0x00000001 << 25	/* for MH6 */
#define PDC_INIT_ERROR_COM_HSSCC_CAM6					0x00000001 << 26	/* for MH6 */
#define PDC_INIT_ERROR_BOX_FLASH_ROM					0x00000001 << 27	/* for MH6 */
#define PDC_INIT_ERROR_FATAL_ERROR						0x00000001 << 30	/* common */
#define PDC_INIT_ERROR_UNKNOWN_ERROR					0x00000001 << 31	/* common */

/* Camera Device Error */
#define PDC_DEVICE_ERROR_NO_ERROR									0
#define PDC_DEVICE_ERROR_SFP_LINK									1
#define PDC_DEVICE_ERROR_MPO_SIGNAL_DETECT							2
#define PDC_DEVICE_ERROR_MPO_FREQ_LOCK								3
#define PDC_DEVICE_ERROR_MPO_CALIB									4
#define PDC_DEVICE_ERROR_SENSOR_INIT								5
#define PDC_DEVICE_ERROR_FLASH_ROM									6
#define PDC_DEVICE_ERROR_COM										7
#define PDC_DEVICE_ERROR_HEAD_ID									8
#define PDC_DEVICE_ERROR_ULTRA_CAPACITOR							9
#define PDC_DEVICE_ERROR_SSD										10
#define PDC_DEVICE_ERROR_COM_HSSCC									11
#define PDC_DEVICE_ERROR_NV_DIMM_BACKUP								12
#define PDC_DEVICE_ERROR_NV_DIMM_RESTORE							13
#define PDC_DEVICE_ERROR_NV_DIMM_MEMORY_DATA_LOST					14
#define PDC_DEVICE_ERROR_HEAD_INIT_LUNCH							15
#define PDC_DEVICE_ERROR_HEAD_FLASH_ROM								16
#define PDC_DEVICE_ERROR_HEAD_TYPE									17
#define PDC_DEVICE_ERROR_HEAD_COM									18
#define PDC_DEVICE_ERROR_HEAD_CORRECTION_DATA						19
#define PDC_DEVICE_ERROR_ACCELERATION_SENSOR_UNMEASUREBLE			20
#define PDC_DEVICE_ERROR_ACCELERATION_SENSOR_ANOMALY				21
#define PDC_DEVICE_ERROR_COM_HSSCC_CAM1								22
#define PDC_DEVICE_ERROR_COM_HSSCC_CAM2								23
#define PDC_DEVICE_ERROR_COM_HSSCC_CAM3								24
#define PDC_DEVICE_ERROR_COM_HSSCC_CAM4								25
#define PDC_DEVICE_ERROR_COM_HSSCC_CAM5								26
#define PDC_DEVICE_ERROR_COM_HSSCC_CAM6								27
#define PDC_DEVICE_ERROR_BOX_FLASH_ROM								28
#define PDC_DEVICE_ERROR_HEAD_PHASE_ADJUSTMENT						29
#define PDC_DEVICE_ERROR_BOX_PHASE_ADJUSTMENT						30
#define PDC_DEVICE_ERROR_PHASE_SHIFT                                100 
#define PDC_DEVICE_ERROR_TEMPERATURE_SENSOR_ANOMALY                 101 
#define PDC_DEVICE_ERROR_HEAD_BOX_CABLE_CUTTING_I2C					1001
#define PDC_DEVICE_ERROR_HEAD_BOX_CABLE_CUTTING_SPI					1002
#define PDC_DEVICE_ERROR_HEAD_BOX_CABLE_CUTTING_CRC					1003
#define PDC_DEVICE_ERROR_HEAD_MAIN_CABLE_CUTTING					1004
#define PDC_DEVICE_ERROR_HIGH_TEMPERATURE							1005
#define PDC_DEVICE_ERROR_HEAD_HIGH_TEMPERATURE						1006
#define PDC_DEVICE_ERROR_HEAD_IMAGE_DESTRACTION						1007
#define PDC_DEVICE_ERROR_HEAD_OVER_CURRENT							1008
#define PDC_DEVICE_ERROR_HEAD_CONNECTOR_MISSING						1009
#define PDC_DEVICE_ERROR_HEAD_OTHER_ERROR							1010
#define PDC_DEVICE_ERROR_BOX_CABLE_CUTTING_SPI						1011
#define PDC_DEVICE_ERROR_BOX_POWER_INTERRUPTION						1012
#define PDC_DEVICE_ERROR_BOX_MAIN_CABLE_CUTTING_CRC					1013
#define PDC_DEVICE_ERROR_BOX_HIGH_TEMPERATURE						1014
#define PDC_DEVICE_ERROR_BOX_OTHER_ERROR							1015
#define PDC_DEVICE_ERROR_RECIEVER_UNLOCKED							1016
#define PDC_DEVICE_ERROR_OBSERVE_ABORT								9997
#define PDC_DEVICE_ERROR_FATAL_ERROR								9998
#define PDC_DEVICE_ERROR_UNKNOWN_ERROR								9999

/* acceleration types */
#define PDC_ACCELERATION_NONE  0
#define PDC_ACCELERATION_TYPE1 1

/* Acceleration Sensor Error*/
#define PDC_ACCELERATION_SENSOR_ERROR_NO_ERROR	0
#define PDC_ACCELERATION_SENSOR_ERROR_UNMEASURABLE	1
#define PDC_ACCELERATION_SENSOR_ERROR_ANOMALY	2
#define PDC_ACCELERATION_SENSOR_ERROR_UNKNOWN	3

/*    LED LASER    */
#define    PDC_LED_LASER_OFF                    0
#define    PDC_LED_LASER_ON                    1

#define PDC_SHADING_RESPONSE_TYPE_ON_CAMERA 0
#define PDC_SHADING_RESPONSE_TYPE_ON_SDK 1

/* VDA port */
#define PDC_VDA_PORT_TRIG_IN            0
#define PDC_VDA_PORT_SYNC_IN            1
#define PDC_VDA_PORT_GENERAL_OUT        2

/* VDA IO types*/
#define PDC_VDA_IO_TYPE_DIFFERENTIAL	0
#define PDC_VDA_IO_TYPE_SINGLE_ENDED	1

/* Camera head types */
#define PDC_CAMERAHEAD_TYPE_NONE		0
#define PDC_CAMERAHEAD_TYPE_MH6_PLX270	1	/* for MH6 */
#define PDC_CAMERAHEAD_TYPE_MH6_PLX48	2	/* for MH6(ST-CAM) */

/* Link Speed */
#define PDC_LINK_SPEED_1G	0
#define PDC_LINK_SPEED_10G	1

/* Packet Interval Mode */
#define PDC_PACKET_INTERVAL_MODE0		0	/* Low speed (250Mbps) */
#define PDC_PACKET_INTERVAL_MODE1		1	/* Normal speed (1.0Gbps) */
#define PDC_PACKET_INTERVAL_MODE2		2
#define PDC_PACKET_INTERVAL_MODE3		3
#define PDC_PACKET_INTERVAL_MODE4		4
#define PDC_PACKET_INTERVAL_MODE5		5
#define PDC_PACKET_INTERVAL_MODE6		6
#define PDC_PACKET_INTERVAL_MODE7		7
#define PDC_PACKET_INTERVAL_MODE8		8
#define PDC_PACKET_INTERVAL_MODE9		9
#define PDC_PACKET_INTERVAL_MODE10		10
#define PDC_PACKET_INTERVAL_MODE11		11
#define PDC_PACKET_INTERVAL_MODE12		12
#define PDC_PACKET_INTERVAL_MODE13		13
#define PDC_PACKET_INTERVAL_MODE14		14
#define PDC_PACKET_INTERVAL_MODE15		15
#define PDC_PACKET_INTERVAL_MODE16		16
#define PDC_PACKET_INTERVAL_MODE17		17
#define PDC_PACKET_INTERVAL_MODE18		18
#define PDC_PACKET_INTERVAL_MODE19		19	/* Fastest speed (no packet interval) */

/* Ethernet Speed Limit */
#define PDC_ETHERNET_SPEED_LIMIT_1G		0
#define PDC_ETHERNET_SPEED_LIMIT_10G	1

#define PDC_LOWLIGHT_MODE_OFF 0 
#define PDC_LOWLIGHT_MODE1 1
#define PDC_LOWLIGHT_MODE2 2
#define PDC_LOWLIGHT_MODE3 3

/*  AutoFocus Mode */
#define PDC_AUTOFOCUS_MODE_FULL 0
#define PDC_AUTOFOCUS_MODE_SUB	1

/* LiveData Sampling Mode */
#define	PDC_SAMPLING_MODE_QUALITY		0
#define	PDC_SAMPLING_MODE_SPEED			1

typedef void* PDC_ARCHIVE_HANDLE;

typedef enum
{
    PDC_ARCHIVE_OPTION_TYPE_META = 1,
    PDC_ARCHIVE_OPTION_TYPE_BIN,
    PDC_ARCHIVE_OPTION_TYPE_XML,
    PDC_ARCHIVE_OPTION_TYPE_MAPFRAMES,
    PDC_ARCHIVE_OPTION_TYPE_MAX,
} PDC_ARCHIVE_OPTION_TYPE;

typedef enum
{
    PDC_ARCHIVE_DATA_TYPE_CIH,
    PDC_ARCHIVE_DATA_TYPE_WVD,
    PDC_ARCHIVE_DATA_TYPE_IRG,
    PDC_ARCHIVE_DATA_TYPE_AEX,
    PDC_ARCHIVE_DATA_TYPE_TEMP,
    PDC_ARCHIVE_DATA_TYPE_MAP,
    PDC_ARCHIVE_DATA_TYPE_ACC,
    PDC_ARCHIVE_DATA_TYPE_INHERENT,
    PDC_ARCHIVE_DATA_TYPE_ACC_MAIN,
    PDC_ARCHIVE_DATA_TYPE_USER = 100, /* reserved ~99 */
    PDC_ARCHIVE_DATA_TYPE_MAX = 255
} PDC_ARCHIVE_DATA_TYPE;

typedef enum
{
    PDC_SOURCE_STORAGE_TYPE_SD = 1,
    PDC_SOURCE_STORAGE_TYPE_FD,
    PDC_SOURCE_STORAGE_TYPE_FD_EXT,
    PDC_SOURCE_STORAGE_TYPE_CF,
    PDC_SOURCE_STORAGE_TYPE_CF_EXT,
    PDC_SOURCE_STORAGE_TYPE_MAX
} PDC_SOURCE_STORAGE_TYPE;

typedef enum
{
    PDC_EXPORT_STATUS_DOWNLOAD,
    PDC_EXPORT_STATUS_FILING,
    PDC_EXPORT_STATUS_COMPLETE,
    PDC_EXPORT_STATUS_ERROR,
    PDC_EXPORT_STATUS_MAX
} PDC_EXPORT_STATUS;


#define PDC_CIH_KEY_FILE_DATE "cih.fileInfo.date"
#define PDC_CIH_KEY_FILE_TIME "cih.fileInfo.time"
#define PDC_CIH_KEY_FILE_DIGITS_FILENUMBER "cih.imageFileInfo.digitsOfFileNumber"
#define PDC_CIH_KEY_FILE_FORMAT "cih.imageFileInfo.fileFormat"
#define PDC_CIH_KEY_FILE_LINKS "cih.imageFileInfo.links"
#define PDC_CIH_KEY_FILE_DIVIDES "cih.imageFileInfo.divides"
#define PDC_CIH_KEY_FILE_WIDTH "cih.imageFileInfo.resolution.width"
#define PDC_CIH_KEY_FILE_HEIGHT "cih.imageFileInfo.resolution.height"
#define PDC_CIH_KEY_FILE_GROUP "cih.imageFileInfo.group"
#define PDC_CIH_KEY_FILE_CIHX_VERSION "cih.fileInfo.version"
#define PDC_CIH_KEY_FILE_PFV_VERSION "cih.fileInfo.pfvVersion"
#define PDC_CIH_KEY_FILE_PDC_VERSION "cih.fileInfo.PDCVersion"

#define PDC_CIH_KEY_BASIC_COMMENT "cih.basicInfo.comment"
#define PDC_CIH_KEY_BASIC_LOGO_PATH "cih.basicInfo.logoPath"
#define PDC_CIH_KEY_BASIC_CAMERA_NAME "cih.basicInfo.cameraName"

#define PDC_CIH_KEY_IMAGE_WIDTH "cih.imageDataInfo.resolution.width"
#define PDC_CIH_KEY_IMAGE_HEIGHT "cih.imageDataInfo.resolution.height"
#define PDC_CIH_KEY_IMAGE_SENSOR_XPOS "cih.imageDataInfo.segmentPos.sensorXpos"
#define PDC_CIH_KEY_IMAGE_SENSOR_YPOS "cih.imageDataInfo.segmentPos.sensorYpos"
#define PDC_CIH_KEY_IMAGE_COLOR_TYPE "cih.imageDataInfo.colorInfo.type"
#define PDC_CIH_KEY_IMAGE_COLOR_BITS "cih.imageDataInfo.colorInfo.bit"
#define PDC_CIH_KEY_IMAGE_EFFECTIVEBIT_DEPTH "cih.imageDataInfo.effectiveBit.depth"
#define PDC_CIH_KEY_IMAGE_EFFECTIVEBIT_SIDE "cih.imageDataInfo.effectiveBit.side"
#define PDC_CIH_KEY_IMAGE_APPLY_IMAGE_PROCESSING "cih.imageDataInfo.applyImageProc"
#define PDC_CIH_KEY_IMAGE_DATA_NUMBER "cih.imageDataInfo.dataNumber"
#define PDC_CIH_KEY_IMAGE_SERIAL_NUMBER "cih.imageDataInfo.serialNumber"
#define PDC_CIH_KEY_FRAME_RECORDED "cih.frameInfo.recordedFrame"
#define PDC_CIH_KEY_FRAME_TOTAL "cih.frameInfo.totalFrame"
#define PDC_CIH_KEY_FRAME_START "cih.frameInfo.startFrame"
#define PDC_CIH_KEY_FRAME_SKIP "cih.frameInfo.skipFrame"
#define PDC_CIH_KEY_FRAME_ADJUST_TRIGGER "cih.frameInfo.adjustTriggerPoint"
#define PDC_CIH_KEY_FRAME_CORRECT_TRIGGER "cih.frameInfo.correctTriggerFrame"

#define PDC_CIH_GET_KEY_FRAME_EVENT "cih.frameInfo.eventFrames"
#define PDC_CIH_GET_KEY_FRAME_RECONCMD "cih.frameInfo.triggerFramesOfRecOnCmd"

#define PDC_CIH_KEY_FRAME_RANGE_START "cih.frameInfo.range.startFrame"
#define PDC_CIH_KEY_FRAME_RANGE_END "cih.frameInfo.range.endFrame"
#define PDC_CIH_KEY_RECORD_DATE "cih.recordInfo.date"
#define PDC_CIH_KEY_RECORD_TIME "cih.recordInfo.time"
#define PDC_CIH_KEY_RECORD_TRIGGER_TIME "cih.recordInfo.triggerTime"
#define PDC_CIH_KEY_RECORD_RATE "cih.recordInfo.recordRate"
#define PDC_CIH_KEY_RECORD_SHUTTER_SPEED "cih.recordInfo.shutterSpeed"
#define PDC_CIH_KEY_RECORD_SHUTTER_SPEED_NSEC "cih.recordInfo.shutterSpeedNsec"
#define PDC_CIH_KEY_RECORD_TRIGGER_MODE "cih.recordInfo.triggerMode.mode"
#define PDC_CIH_KEY_RECORD_TRIGGER_PDCMODE "cih.recordInfo.triggerMode.pdcMode"
#define PDC_CIH_KEY_RECORD_TRIGGER_AFTER_FRAME "cih.recordInfo.triggerMode.afterFrame"
#define PDC_CIH_KEY_RECORD_TRIGGER_RANDOM_FRAME "cih.recordInfo.triggerMode.randomFrame"
#define PDC_CIH_KEY_RECORD_TRIGGER_RANDOM_COUNT "cih.recordInfo.triggerMode.randomCount"
#define PDC_CIH_KEY_RECORD_AUTO_EXPOSURE "cih.recordInfo.autoExposure"
#define PDC_CIH_KEY_RECORD_EXPOSE_TIMES "cih.recordInfo.exposeTimes"
#define PDC_CIH_KEY_RECORD_IGNORE_TRIGGER_NUM "cih.recordInfo.ignoreTriggerNum"
#define PDC_CIH_KEY_RECORD_TEMPERATURE "cih.recordInfo.temperature"
#define PDC_CIH_KEY_RECORD_ACCELERATION "cih.recordInfo.acceleration"
#define PDC_CIH_KEY_RECORD_SOFT_NOISE_REDUCTION "cih.recordInfo.m_imageProcessing.softwareNoiseReduction"

#define PDC_CIH_KEY_DEVICE_CAM_MODE "cih.deviceInfo.camMode"
#define PDC_CIH_KEY_DEVICE_IP_ADDRESS "cih.deviceInfo.ipAddress"
#define PDC_CIH_KEY_DEVICE_SUBNET_MASK "cih.deviceInfo.subnetMask"
#define PDC_CIH_KEY_DEVICE_GATEWAY "cih.deviceInfo.gatewayAddress"
#define PDC_CIH_KEY_DEVICE_FW_VERSION "cih.deviceInfo.firmware"
#define PDC_CIH_KEY_DEVICE_DEVICE_CODE "cih.deviceInfo.deviceCode"
#define PDC_CIH_KEY_DEVICE_DEVICE_NAME "cih.deviceInfo.deviceName"
#define PDC_CIH_KEY_DEVICE_HEAD_NUMBER "cih.deviceInfo.headNumber"
#define PDC_CIH_KEY_DEVICE_HEAD_NAME "cih.deviceInfo.headName"
#define PDC_CIH_KEY_DEVICE_HEAD_TYPE "cih.deviceInfo.headType"
#define PDC_CIH_KEY_DEVICE_DEVICE_SERIAL_NUMBER "cih.deviceInfo.deviceSerialNumber"
#define PDC_CIH_KEY_DEVICE_HEAD_SERIAL_NUMBER "cih.deviceInfo.headSerialNumber"
#define PDC_CIH_KEY_DEVICE_IRIG "cih.deviceInfo.irig"
#define PDC_CIH_KEY_DEVICE_IRIG_PHASELOCK "cih.deviceInfo.irigPhaseLock"
#define PDC_CIH_KEY_DEVICE_LOWFRAMERATE_MODE "cih.deviceInfo.lowFrameRateMode"
#define PDC_CIH_KEY_DEVICE_RECORDRATE "cih.deviceInfo.recordRate"
#define PDC_CIH_KEY_DEVICE_WIDTH "cih.deviceInfo.resolution.width"
#define PDC_CIH_KEY_DEVICE_HEIGHT "cih.deviceInfo.resolution.height"
#define PDC_CIH_KEY_DEVICE_VARIABLE_CHANNEL "cih.deviceInfo.variableChannel"
#define PDC_CIH_KEY_DEVICE_TOTAL_PARTITION "cih.deviceInfo.totalPartition"
#define PDC_CIH_KEY_DEVICE_CURRENT_PARTITION "cih.deviceInfo.currentPartition"
#define PDC_CIH_KEY_DEVICE_SHUTTER_SPEED "cih.deviceInfo.shutterSpeed"
#define PDC_CIH_KEY_DEVICE_LOCKED_RESOLUTION "cih.deviceInfo.lockedResolution"
#define PDC_CIH_KEY_DEVICE_LOCKED_SHUTTER_SPEED "cih.deviceInfo.lockedShutterSpeed"
#define PDC_CIH_KEY_DEVICE_DSSHUTTER_VALUE "cih.deviceInfo.dsShutterValue"
#define PDC_CIH_KEY_DEVICE_AUTO_EXPOSURE "cih.deviceInfo.autoExposure"
#define PDC_CIH_KEY_DEVICE_AUTO_EXPOSURE_WIDTH "cih.deviceInfo.autoExposureInfo.width"
#define PDC_CIH_KEY_DEVICE_AUTO_EXPOSURE_HEIGHT "cih.deviceInfo.autoExposureInfo.height"
#define PDC_CIH_KEY_DEVICE_AUTO_EXPOSURE_XPOS "cih.deviceInfo.autoExposureInfo.xPos"
#define PDC_CIH_KEY_DEVICE_AUTO_EXPOSURE_YPOS "cih.deviceInfo.autoExposureInfo.yPos"
#define PDC_CIH_KEY_DEVICE_AUTO_EXPOSURE_VALUE "cih.deviceInfo.autoExposureInfo.value"
#define PDC_CIH_KEY_DEVICE_AUTO_EXPOSURE_RANGE "cih.deviceInfo.autoExposureInfo.range"
#define PDC_CIH_KEY_DEVICE_AUTO_EXPOSURE_LIMIT "cih.deviceInfo.autoExposureInfo.limit"
#define PDC_CIH_KEY_DEVICE_TRIGGER_MODE "cih.deviceInfo.triggerMode.mode"
#define PDC_CIH_KEY_DEVICE_TRIGGER_PDCMODE "cih.deviceInfo.triggerMode.pdcMode"
#define PDC_CIH_KEY_DEVICE_TRIGGER_AFTER_FRAME "cih.deviceInfo.triggerMode.afterFrame"
#define PDC_CIH_KEY_DEVICE_TRIGGER_RANDOM_FRAME "cih.deviceInfo.triggerMode.randomFrame"
#define PDC_CIH_KEY_DEVICE_TRIGGER_RANDOM_COUNT "cih.deviceInfo.triggerMode.randomCount"
#define PDC_CIH_KEY_DEVICE_PIXEL_GAIN_MODE "cih.deviceInfo.pixelGainMode"
#define PDC_CIH_KEY_DEVICE_MECHA_SHUTTER_MODE "cih.deviceInfo.mechaShutterMode"
#define PDC_CIH_KEY_DEVICE_RECORDING_TYPE "cih.deviceInfo.recordingType"
#define PDC_CIH_KEY_DEVICE_SDCARD_MEMORY_MODE "cih.deviceInfo.sdCardMemoryMode"
#define PDC_CIH_KEY_DEVICE_PARTITION_INC_MODE "cih.deviceInfo.partitionIncMode"
#define PDC_CIH_KEY_DEVICE_AUTODOWNLOAD_MODE "cih.deviceInfo.autoDownloadMode"
#define PDC_CIH_KEY_DEVICE_SYNCOUTTIMES "cih.deviceInfo.syncOutTimes"
#define PDC_CIH_KEY_DEVICE_SELF_SYNC "cih.deviceInfo.selfSync"
#define PDC_CIH_KEY_DEVICE_IRIG_OFFSET "cih.deviceInfo.irigOffset"
#define PDC_CIH_KEY_DEVICE_IRIG_SAMPLE_MODE "cih.deviceInfo.irigSampleMode"
#define PDC_CIH_KEY_DEVICE_MEMORY_SHARE "cih.deviceInfo.memoryShare"
#define PDC_CIH_KEY_DEVICE_DOWNLOAD_MODE "cih.deviceInfo.downloadMode"
#define PDC_CIH_KEY_DEVICE_VIDEOUT_SIGNAL "cih.deviceInfo.videoOutSignal"
#define PDC_CIH_KEY_DEVICE_VIDEOUT_SIGNAL_ENABLE "cih.deviceInfo.videoOutSignalEnable"
#define PDC_CIH_KEY_DEVICE_VIDEOUT_OSD "cih.deviceInfo.videoOSD"
#define PDC_CIH_KEY_DEVICE_VIDEOUT_OSD_CROSSHAIR_MODE "cih.deviceInfo.videoOSDCrosshairMode"
#define PDC_CIH_KEY_DEVICE_ADC "cih.deviceInfo.adc"
#define PDC_CIH_KEY_DEVICE_AUTOPLAY "cih.deviceInfo.autoPlay"
#define PDC_CIH_KEY_DEVICE_EXPOSE_EXTENSION "cih.deviceInfo.exposeExtension"
#define PDC_CIH_KEY_DEVICE_ACCELERATION_TRIGGER_MODE "cih.deviceInfo.accelerationTrigger.mode"
#define PDC_CIH_KEY_DEVICE_ACCELERATION_TRIGGER_ACCELERATION "cih.deviceInfo.accelerationTrigger.acceleration"
#define PDC_CIH_KEY_DEVICE_ACCELERATION_TRIGGER_ACCELERATION_TIME "cih.deviceInfo.accelerationTrigger.accelerationTime"
#define PDC_CIH_KEY_DEVICE_TRIGGER_NOISEFILTER_MODE "cih.deviceInfo.triggerNoiseFilter.mode"
#define PDC_CIH_KEY_DEVICE_TRIGGER_NOISEFILTER_WIDTH "cih.deviceInfo.triggerNoiseFilter.width"
#define PDC_CIH_KEY_DEVICE_AUTOMEDIASAVE "cih.deviceInfo.autoMediaSave"
#define PDC_CIH_KEY_DEVICE_AUTOMEDIASAVETIME "cih.deviceInfo.autoMediaSaveTime"
#define PDC_CIH_KEY_DEVICE_AUTOPOWERON "cih.deviceInfo.autoPowerOn"
#define PDC_CIH_KEY_DEVICE_AUTOMEDIASAVE_INSERT "cih.deviceInfo.autoMediaSaveInsert"
#define PDC_CIH_KEY_DEVICE_SHUTTER_SPEED_PRECISION "cih.deviceInfo.shutterSpeedPrecision"
#define PDC_CIH_KEY_DEVICE_FAN_RECREADYSTOP "cih.deviceInfo.fanRecReadyStop"
#define PDC_CIH_KEY_DEVICE_OPTION_LED_STATUS "cih.deviceInfo.optionLedStatus"
#define PDC_CIH_KEY_DEVICE_OPTION_LASER_STATUS "cih.deviceInfo.optionLaserStatus"
#define PDC_CIH_KEY_DEVICE_LENSES "cih.deviceInfo.lenses"
#define PDC_CIH_KEY_DEVICE_LENS "cih.deviceInfo.lenses.lens"
#define PDC_CIH_KEY_DEVICE_ADC_RANGES "cih.deviceInfo.adcRanges"
#define PDC_CIH_KEY_DEVICE_EXTERNAL_IN "cih.deviceInfo.externalInInfos"
#define PDC_CIH_KEY_DEVICE_EXTERNAL_OUT "cih.deviceInfo.externalOutInfos"
#define PDC_CIH_KEY_DEVICE_SIGNAL_DELAY "cih.deviceInfo.delayInfos"
#define PDC_CIH_KEY_DEVICE_TEMPERATURE "cih.deviceInfo.temperature"
#define PDC_CIH_KEY_DEVICE_PROGSWITCH "cih.deviceInfo.progSwitchModes"

#define PDC_CIH_KEY_DEVICE_COLOR_BALANCE_BASE "cih.deviceInfo.deviceColor.balance.base"
#define PDC_CIH_KEY_DEVICE_COLOR_BALANCE_MAX "cih.deviceInfo.deviceColor.balance.max"
#define PDC_CIH_KEY_DEVICE_COLOR_TEMPERATURE "cih.deviceInfo.deviceColor.balance.temperature"
#define PDC_CIH_KEY_DEVICE_COLOR_BALANCE_R "cih.deviceInfo.deviceColor.balance.r"
#define PDC_CIH_KEY_DEVICE_COLOR_BALANCE_G "cih.deviceInfo.deviceColor.balance.g"
#define PDC_CIH_KEY_DEVICE_COLOR_BALANCE_B "cih.deviceInfo.deviceColor.balance.b"
#define PDC_CIH_KEY_DEVICE_COLOR_TEMPERATURE_LIST "cih.deviceInfo.deviceColor.balance.temperatureList"
#define PDC_CIH_KEY_DEVICE_COLOR_TEMPERATURE_MODE "cih.deviceInfo.deviceColor.balance.temperatureList.temperatureMode"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE "cih.deviceInfo.deviceColor.matrix.enhance"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_RR "cih.deviceInfo.deviceColor.matrix.rr"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_RG "cih.deviceInfo.deviceColor.matrix.rg"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_RB "cih.deviceInfo.deviceColor.matrix.rb"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_GR "cih.deviceInfo.deviceColor.matrix.gr"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_GG "cih.deviceInfo.deviceColor.matrix.gg"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_GB "cih.deviceInfo.deviceColor.matrix.gb"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_BR "cih.deviceInfo.deviceColor.matrix.br"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_BG "cih.deviceInfo.deviceColor.matrix.bg"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_BB "cih.deviceInfo.deviceColor.matrix.bb"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_LIST "cih.deviceInfo.deviceColor.matrix.enhanceList"
#define PDC_CIH_KEY_DEVICE_COLOR_ENHANCE_MAT "cih.deviceInfo.deviceColor.matrix.enhanceList.enhanceMatrix"
#define PDC_CIH_KEY_DEVICE_COLOR_TEMPERATURE_LIST_R "cih.deviceInfo.deviceColor.balance.temperatureList.temperatureMode.r"
#define PDC_CIH_KEY_DEVICE_COLOR_TEMPERATURE_LIST_G "cih.deviceInfo.deviceColor.balance.temperatureList.temperatureMode.g"
#define PDC_CIH_KEY_DEVICE_COLOR_TEMPERATURE_LIST_B "cih.deviceInfo.deviceColor.balance.temperatureList.temperatureMode.b"
#define PDC_CIH_KEY_DEVICE_COLOR_TEMPERATURE_LIST_MODE "cih.deviceInfo.deviceColor.balance.temperatureList.temperatureMode.mode"


#define PDC_CIH_COLORTYPE_COLOR_STR "Color"
#define PDC_CIH_COLORTYPE_MONO_STR "Mono"
#define PDC_CIH_COLORTYPE_BAYER_STR "RawBayer"
#define PDC_CIH_COLORTYPE_RAW_STR "Raw"

/* key for communication parameter */
typedef enum
{
    PDC_COMM_KEY_CONNECT_MODE = 2,
    PDC_COMM_KEY_PACKET_SIZE = 3,
    PDC_COMM_KEY_PACKET_COUNT = 4,
    PDC_COMM_KEY_PACKET_INTERVAL_10G = 5,
} PDC_COMM_KEY;

/* key for general parameter */
typedef enum
{
    PDC_GENERAL_KEY_CACHE_CORRECTION_DATA = 0,
} PDC_OPEN_GENERAL_KEY;

typedef enum
{
    PDC_OPEN_PARAM_TYPE_COMMUNICATION = 0,
    PDC_OPEN_PARAM_TYPE_MANUFACTURE,
    PDC_OPEN_PARAM_TYPE_GENERAL,
} PDC_OPEN_PARAM_TYPE;

typedef enum
{
    PDC_LOG_OPTION_LOG_LEVEL = 0,
    PDC_LOG_OPTION_LOG_STORAGE_PERIOD = 1,
    PDC_LOG_OPTION_LOG_MAX_FILE_SIZE = 2,
    PDC_LOG_OPTION_LOG_WRITE_INTERVAL = 3,
    PDC_LOG_OPTION_LOG_BUFFER_SIZE = 4,
} PDC_LOG_OPTION;

#define PDC_LOG_LEVEL_INFO 1
#define PDC_LOG_LEVEL_WARNING 2
#define PDC_LOG_LEVEL_ERROR 3
#define PDC_LOG_LEVEL_NOTICE 4
#define PDC_LOG_LEVEL_OFF 5

/*	Bit Depth Mode of GRAW File	*/
#define	PDC_GRAW_BITDEPTH_8		0
#define	PDC_GRAW_BITDEPTH_16	1
#define	PDC_GRAW_BITDEPTH_REAL	2

#endif	/*	_PDC_VALUE_H_	*/



