/*=============================================================================
* PDC_GRAWFileSaveClose.c
*=============================================================================*/
#include	"mex.h"
#include	<windows.h>
#include	"PDCLIB.h"

void mexFunction( int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[] )
{

    unsigned long nDeviceNo;
    unsigned long nChildNo;
    PDC_GRAW pdcGRaw;
    unsigned long *pRet;
    unsigned long *pErrorCode;
    
    const char *fieldnames_pPdcGRaw[] = { "m_pRawInfo","m_ImageInfo", "m_nFrameCount"};
    mxArray *params_pPdcGRaw;
    
    const char *fieldnames_m_ImageInfo[] = { "m_nWidth","m_nHeight", "m_nSensorBit", "m_nRealBitPerPixel","m_nEffectiveBits","m_nInterleave", "m_nBayer"};
    mxArray *params_m_ImageInfo;
    mxArray *tmp_plhs2array;
    mxArray *tmp_prhs2array;
   
    plhs[ 0 ]		= mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    plhs[ 1 ]		= mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    plhs[ 2 ]		= mxCreateStructMatrix( 1, 1, 3, fieldnames_pPdcGRaw );
    tmp_plhs2array  = mxCreateStructMatrix( 1, 1, 7, fieldnames_m_ImageInfo );
   
    nDeviceNo		= ( unsigned long )mxGetScalar( prhs[ 0 ] );
    nChildNo	    = ( unsigned long )mxGetScalar( prhs[ 1 ] );
   
    pRet	        = ( unsigned long * )mxGetPr( plhs[ 0 ] );
    pErrorCode		= ( unsigned long * )mxGetPr( plhs[ 1 ] );
    
    pdcGRaw.m_pRawInfo   = ( long long )mxGetScalar( mxGetFieldByNumber( prhs[ 2 ], 0, mxGetFieldNumber( prhs[ 2 ],"m_pRawInfo" ) ) );
    
	tmp_prhs2array  = ( mxArray * )( mxGetFieldByNumber( prhs[ 2 ], 0, mxGetFieldNumber( prhs[ 2 ],"m_ImageInfo" ) ) );
    pdcGRaw.m_ImageInfo.m_nWidth =  ( long )mxGetScalar( mxGetFieldByNumber( tmp_prhs2array, 0, mxGetFieldNumber( tmp_prhs2array,"m_nWidth" ) ) );
    pdcGRaw.m_ImageInfo.m_nHeight =  ( long )mxGetScalar( mxGetFieldByNumber( tmp_prhs2array, 0, mxGetFieldNumber( tmp_prhs2array,"m_nHeight" ) ) );    
    pdcGRaw.m_ImageInfo.m_nSensorBit =  ( unsigned short )mxGetScalar( mxGetFieldByNumber( tmp_prhs2array, 0, mxGetFieldNumber( tmp_prhs2array,"m_nSensorBit" ) ) );
    pdcGRaw.m_ImageInfo.m_nRealBitPerPixel =  ( unsigned short )mxGetScalar( mxGetFieldByNumber( tmp_prhs2array, 0, mxGetFieldNumber( tmp_prhs2array,"m_nRealBitPerPixel" ) ) );
    pdcGRaw.m_ImageInfo.m_nEffectiveBits =  ( unsigned long )mxGetScalar( mxGetFieldByNumber( tmp_prhs2array, 0, mxGetFieldNumber( tmp_prhs2array,"m_nEffectiveBits" ) ) );
    pdcGRaw.m_ImageInfo.m_nInterleave =  ( long )mxGetScalar( mxGetFieldByNumber( tmp_prhs2array, 0, mxGetFieldNumber( tmp_prhs2array,"m_nInterleave" ) ) );
    pdcGRaw.m_ImageInfo.m_nBayer =  ( unsigned long )mxGetScalar( mxGetFieldByNumber( tmp_prhs2array, 0, mxGetFieldNumber( tmp_prhs2array,"m_nBayer" ) ) );   
    
	pdcGRaw.m_nFrameCount = ( unsigned long )mxGetScalar( mxGetFieldByNumber( prhs[ 2 ], 0, mxGetFieldNumber( prhs[ 2 ],"m_nFrameCount" ) ) );

	*pRet			= PDC_GRAWFileSaveClose( nDeviceNo, nChildNo, &pdcGRaw, pErrorCode );
    
    params_pPdcGRaw			= mxCreateNumericMatrix( 1, 1, mxINT64_CLASS, mxREAL );
    *( long long * )mxGetPr( params_pPdcGRaw )	= pdcGRaw.m_pRawInfo;
    mxSetFieldByNumber( plhs[ 2 ], 0, 0, params_pPdcGRaw );
    
    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxINT32_CLASS, mxREAL );
    *( long * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nWidth;
    mxSetFieldByNumber( tmp_plhs2array, 0, 0, params_m_ImageInfo );
      
    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxINT32_CLASS, mxREAL );
    *( long * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nHeight;
    mxSetFieldByNumber( tmp_plhs2array, 0, 1, params_m_ImageInfo );

    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxUINT16_CLASS, mxREAL );
    *( unsigned short * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nSensorBit;
    mxSetFieldByNumber( tmp_plhs2array, 0, 2, params_m_ImageInfo );
    
    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxUINT16_CLASS, mxREAL );
    *( unsigned short * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nRealBitPerPixel;
    mxSetFieldByNumber( tmp_plhs2array, 0, 3, params_m_ImageInfo );
   
    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    *( unsigned long * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nEffectiveBits;
    mxSetFieldByNumber( tmp_plhs2array, 0, 4, params_m_ImageInfo );

    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxINT32_CLASS, mxREAL );
    *( long * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nInterleave;
    mxSetFieldByNumber( tmp_plhs2array, 0, 5, params_m_ImageInfo );

    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    *( unsigned long * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nBayer;
    mxSetFieldByNumber( tmp_plhs2array, 0, 6, params_m_ImageInfo );
    
    mxSetFieldByNumber( plhs[ 2 ], 0, 1, tmp_plhs2array );
    
    params_pPdcGRaw			= mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    *( unsigned long * )mxGetPr( params_pPdcGRaw )	= pdcGRaw.m_nFrameCount;
    mxSetFieldByNumber( plhs[ 2 ], 0, 2, params_pPdcGRaw );
    
}

