/*================================================================================
* PDC_GRAWFileSaveOpen.c
*================================================================================*/
#include	"mex.h"
#include	<windows.h>
#include	"PDCLIB.h"

void mexFunction( int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[] )
{
	
    unsigned long nDeviceNo;
    unsigned long nChildNo;
    PDC_SAVE_FRAME_INFO frameInfo;
    LPCTSTR lpszFileName;
    PDC_GRAW pdcGRaw;
    PDC_GRAW_OPTION_INFO optionInfo; 
    
 	int buflen;
    unsigned long nMRawBitDepth;
    long nMaxFrameNum;
    
    unsigned long *pRet;
    unsigned long *pErrorCode;
    const char *fieldnames_pPdcGRaw[] = { "m_pRawInfo","m_ImageInfo", "m_nFrameCount"};
    mxArray *params_pPdcGRaw;
    const char *fieldnames_pOptionInfo[] = { "m_nInteleave","m_nBitDepth", "m_nEffectiveBits", "m_nBayer"};
    mxArray *params_pOptionInfo;
    
    const char *fieldnames_m_ImageInfo[] = { "m_nWidth","m_nHeight", "m_nSensorBit", "m_nRealBitPerPixel","m_nEffectiveBits","m_nInterleave", "m_nBayer"};
    mxArray *params_m_ImageInfo;
    mxArray *tmp_plhs2array;

   
    plhs[ 0 ]           = mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    plhs[ 1 ]           = mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    plhs[ 2 ]		= mxCreateStructMatrix( 1, 1, 3, fieldnames_pPdcGRaw );
    tmp_plhs2array  = mxCreateStructMatrix( 1, 1, 7, fieldnames_m_ImageInfo );
    plhs[ 3 ]		= mxCreateStructMatrix( 1, 1, 4, fieldnames_pOptionInfo );
	buflen				= mxGetM( prhs[ 3 ] ) * mxGetN( prhs[ 3 ] ) * sizeof( mxChar ) + 1;
	lpszFileName		= ( LPCTSTR )malloc( sizeof( LPCTSTR )*buflen );  
   
    nDeviceNo           = ( unsigned long )mxGetScalar( prhs[ 0 ] );
    nChildNo            = ( unsigned long )mxGetScalar( prhs[ 1 ] );
	mxGetString( prhs[ 3 ],  lpszFileName, buflen );
	
    frameInfo.nStartFrame   = ( long )mxGetScalar( mxGetFieldByNumber( prhs[ 2 ], 0, mxGetFieldNumber( prhs[ 2 ],"nStartFrame" ) ) );
	frameInfo.nEndFrame  = ( long )mxGetScalar( mxGetFieldByNumber( prhs[ 2 ], 0, mxGetFieldNumber( prhs[ 2 ],"nEndFrame" ) ) );
	frameInfo.nSkipFrame = ( long )mxGetScalar( mxGetFieldByNumber( prhs[ 2 ], 0, mxGetFieldNumber( prhs[ 2 ],"nSkipFrame" ) ) );
	frameInfo.nFrameCount = ( unsigned long )mxGetScalar( mxGetFieldByNumber( prhs[ 2 ], 0, mxGetFieldNumber( prhs[ 2 ],"nFrameCount" ) ) );
    
    optionInfo.m_nBayer   = ( unsigned long )mxGetScalar( mxGetFieldByNumber( prhs[ 4 ], 0, mxGetFieldNumber( prhs[ 4 ],"m_nBayer" ) ) );
	optionInfo.m_nBitDepth  = ( unsigned long )mxGetScalar( mxGetFieldByNumber( prhs[ 4 ], 0, mxGetFieldNumber( prhs[ 4 ],"m_nBitDepth" ) ) );
	optionInfo.m_nEffectiveBits = ( unsigned long )mxGetScalar( mxGetFieldByNumber( prhs[ 4 ], 0, mxGetFieldNumber( prhs[ 4 ],"m_nEffectiveBits" ) ) );
	optionInfo.m_nInteleave = ( unsigned long )mxGetScalar( mxGetFieldByNumber( prhs[ 4 ], 0, mxGetFieldNumber( prhs[ 4 ],"m_nInteleave" ) ) );
    
    pRet                = ( unsigned long * )mxGetPr( plhs[ 0 ] );
    pErrorCode          = ( unsigned long * )mxGetPr( plhs[ 1 ] );
	
	*pRet               = PDC_GRAWFileSaveOpenA( nDeviceNo, nChildNo, &frameInfo, lpszFileName, &pdcGRaw, &optionInfo, pErrorCode );
    
    params_pPdcGRaw			= mxCreateNumericMatrix( 1, 1, mxINT64_CLASS, mxREAL );
    *( long long * )mxGetPr( params_pPdcGRaw )	= pdcGRaw.m_pRawInfo;
    mxSetFieldByNumber( plhs[ 2 ], 0, 0, params_pPdcGRaw );
    
    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxINT32_CLASS, mxREAL );
    *( long * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nWidth;
    mxSetFieldByNumber( tmp_plhs2array, 0, 0, params_m_ImageInfo );
      
    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxINT32_CLASS, mxREAL );
    *( long * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nHeight;
    mxSetFieldByNumber( tmp_plhs2array, 0, 1, params_m_ImageInfo );

    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxUINT16_CLASS, mxREAL );
    *( unsigned short * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nSensorBit;
    mxSetFieldByNumber( tmp_plhs2array, 0, 2, params_m_ImageInfo );
    
    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxUINT16_CLASS, mxREAL );
    *( unsigned short * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nRealBitPerPixel;
    mxSetFieldByNumber( tmp_plhs2array, 0, 3, params_m_ImageInfo );
   
    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    *( unsigned long * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nEffectiveBits;
    mxSetFieldByNumber( tmp_plhs2array, 0, 4, params_m_ImageInfo );

    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxINT32_CLASS, mxREAL );
    *( long * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nInterleave;
    mxSetFieldByNumber( tmp_plhs2array, 0, 5, params_m_ImageInfo );

    params_m_ImageInfo	    = mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    *( unsigned long * )mxGetPr( params_m_ImageInfo )	= pdcGRaw.m_ImageInfo.m_nBayer;
    mxSetFieldByNumber( tmp_plhs2array, 0, 6, params_m_ImageInfo );
    
    mxSetFieldByNumber( plhs[ 2 ], 0, 1, tmp_plhs2array );
    
    params_pPdcGRaw			= mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    *( unsigned long * )mxGetPr( params_pPdcGRaw )	= pdcGRaw.m_nFrameCount;
    mxSetFieldByNumber( plhs[ 2 ], 0, 2, params_pPdcGRaw );
    
    params_pOptionInfo			= mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    *( unsigned long * )mxGetPr( params_pOptionInfo )	= optionInfo.m_nInteleave;
    mxSetFieldByNumber( plhs[ 3 ], 0, 0, params_pOptionInfo );
    
    params_pOptionInfo			= mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    *( unsigned long * )mxGetPr( params_pOptionInfo )	= optionInfo.m_nBitDepth;
    mxSetFieldByNumber( plhs[ 3 ], 0, 1, params_pOptionInfo );
    
    params_pOptionInfo			= mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    *( unsigned long * )mxGetPr( params_pOptionInfo )	= optionInfo.m_nEffectiveBits;
    mxSetFieldByNumber( plhs[ 3 ], 0, 2, params_pOptionInfo );
    
    params_pOptionInfo			= mxCreateNumericMatrix( 1, 1, mxUINT32_CLASS, mxREAL );
    *( unsigned long * )mxGetPr( params_pOptionInfo )	= optionInfo.m_nBayer;
    mxSetFieldByNumber( plhs[ 3 ], 0, 3, params_pOptionInfo );
}

